/*******************************************************************************
* File Name: ADCModule_1_Ctrl_sign_PM.c
* Version 1.80
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "ADCModule_1_Ctrl_sign.h"

/* Check for removal by optimization */
#if !defined(ADCModule_1_Ctrl_sign_Sync_ctrl_reg__REMOVED)

static ADCModule_1_Ctrl_sign_BACKUP_STRUCT  ADCModule_1_Ctrl_sign_backup = {0u};

    
/*******************************************************************************
* Function Name: ADCModule_1_Ctrl_sign_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void ADCModule_1_Ctrl_sign_SaveConfig(void) 
{
    ADCModule_1_Ctrl_sign_backup.controlState = ADCModule_1_Ctrl_sign_Control;
}


/*******************************************************************************
* Function Name: ADCModule_1_Ctrl_sign_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void ADCModule_1_Ctrl_sign_RestoreConfig(void) 
{
     ADCModule_1_Ctrl_sign_Control = ADCModule_1_Ctrl_sign_backup.controlState;
}


/*******************************************************************************
* Function Name: ADCModule_1_Ctrl_sign_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void ADCModule_1_Ctrl_sign_Sleep(void) 
{
    ADCModule_1_Ctrl_sign_SaveConfig();
}


/*******************************************************************************
* Function Name: ADCModule_1_Ctrl_sign_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void ADCModule_1_Ctrl_sign_Wakeup(void)  
{
    ADCModule_1_Ctrl_sign_RestoreConfig();
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
