/***************************************************************************//**
* \file DMA_4.c
* \version 2.0
*
*  This file provides the source code to the API for the
*  DMA_4 component.
*
********************************************************************************
* \copyright
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "DMA_4.h"

#if defined(__cplusplus)
extern "C" {
#endif

/* Generated code */
const cy_stc_dma_descriptor_config_t DMA_4_fetch_sar_stat_config =
{
    .retrigger       = CY_DMA_RETRIG_IM,
    .interruptType   = CY_DMA_DESCR_CHAIN,
    .triggerOutType  = CY_DMA_DESCR_CHAIN,
    .channelState    = CY_DMA_CHANNEL_ENABLED,
    .triggerInType   = CY_DMA_DESCR_CHAIN,
    .dataSize        = CY_DMA_WORD,
    .srcTransferSize = CY_DMA_TRANSFER_SIZE_DATA,
    .dstTransferSize = CY_DMA_TRANSFER_SIZE_DATA,
    .descriptorType  = CY_DMA_SINGLE_TRANSFER,
    .srcAddress      = NULL,
    .dstAddress      = NULL,
    .srcXincrement   = 1L,
    .dstXincrement   = 0L,
    .xCount          = 1UL,
    .srcYincrement   = 1L,
    .dstYincrement   = 0L,
    .yCount          = 1UL,
    .nextDescriptor  = &DMA_4_write_sar_ch
};

cy_stc_dma_descriptor_t DMA_4_fetch_sar_stat =
{
    .ctl = 0UL,
    .src = 0UL,
    .dst = 0UL,
    .xCtl = 0UL,
    .yCtl = 0UL,
    .nextPtr = 0UL
};

const cy_stc_dma_descriptor_config_t DMA_4_write_sar_ch_config =
{
    .retrigger       = CY_DMA_RETRIG_IM,
    .interruptType   = CY_DMA_DESCR_CHAIN,
    .triggerOutType  = CY_DMA_DESCR,
    .channelState    = CY_DMA_CHANNEL_ENABLED,
    .triggerInType   = CY_DMA_1ELEMENT,
    .dataSize        = CY_DMA_BYTE,
    .srcTransferSize = CY_DMA_TRANSFER_SIZE_DATA,
    .dstTransferSize = CY_DMA_TRANSFER_SIZE_DATA,
    .descriptorType  = CY_DMA_SINGLE_TRANSFER,
    .srcAddress      = NULL,
    .dstAddress      = NULL,
    .srcXincrement   = 1L,
    .dstXincrement   = 0L,
    .xCount          = 1UL,
    .srcYincrement   = 1L,
    .dstYincrement   = 0L,
    .yCount          = 1UL,
    .nextDescriptor  = &DMA_4_fetch_sar_stat
};

cy_stc_dma_descriptor_t DMA_4_write_sar_ch =
{
    .ctl = 0UL,
    .src = 0UL,
    .dst = 0UL,
    .xCtl = 0UL,
    .yCtl = 0UL,
    .nextPtr = 0UL
};


/** DMA_4_initVar indicates whether the DMA_4 
*  component has been initialized. The variable is initialized to 0 
*  and set to 1 the first time DMA_4_Start() is called. This allows 
*  the component to restart without reinitialization after the first 
*  call to the DMA_4_Start() routine.
*
*  If re-initialization of the component is required, then the 
*  DMA_4_Init() function can be called before the 
*  DMA_4_Start() or DMA_4_ChEnable() function.
*/
uint8 DMA_4_initVar = 0u;


/*******************************************************************************
* Function Name: DMA_4_Start
****************************************************************************//**
*
* Based on the settings for descriptor in the customizer this function runs the
* DMA_Descriptor_Init() and then initializes the channel using
* DMA_Chnl_Init(). Enables the DMA_4 block using the DMA_Chnl_Enable().
*  
*******************************************************************************/
void DMA_4_Start(void const * srcAddress, void const * dstAddress)
{
    if (0U == DMA_4_initVar)
    {
        DMA_4_Init();
        DMA_4_initVar = 1u;
    }
    
    Cy_DMA_Descriptor_SetSrcAddress(&DMA_4_fetch_sar_stat, srcAddress);
    Cy_DMA_Descriptor_SetDstAddress(&DMA_4_fetch_sar_stat, dstAddress);
    Cy_DMA_Channel_Enable(DMA_4_HW, DMA_4_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: DMA_4_Init
****************************************************************************//**
*
* Based on the settings for the descriptor in the customizer this function runs the
* DMA_Descriptor_Init() and then initializes the channel using
* DMA_Chnl_Init().
*  
*******************************************************************************/
void DMA_4_Init(void)
{
    cy_stc_dma_channel_config_t channelConfig;

    /* Init all descriptors */
    (void)Cy_DMA_Descriptor_Init(&DMA_4_fetch_sar_stat, &DMA_4_fetch_sar_stat_config);
    (void)Cy_DMA_Descriptor_Init(&DMA_4_write_sar_ch, &DMA_4_write_sar_ch_config);


    channelConfig.descriptor  = &DMA_4_fetch_sar_stat;
    channelConfig.preemptable = DMA_4_PREEMPTABLE;
    channelConfig.priority    = DMA_4_PRIORITY;
    channelConfig.enable      = false;
    channelConfig.bufferable  = DMA_4_BUFFERABLE;

    (void)Cy_DMA_Channel_Init(DMA_4_HW, DMA_4_DW_CHANNEL, &channelConfig);

    Cy_DMA_Enable(DMA_4_HW);
}


#if defined(__cplusplus)
}
#endif

/* [] END OF FILE */
