//`#start header` -- edit after this line, do not edit this line
// ========================================
//
// Copyright YOUR COMPANY, THE YEAR
// All Rights Reserved
// UNPUBLISHED, LICENSED SOFTWARE.
//
// CONFIDENTIAL AND PROPRIETARY INFORMATION
// WHICH IS THE PROPERTY OF your company.
//
// ========================================
`include "cypress.v"
//`#end` -- edit above this line, do not edit this line

//`#start body` -- edit after this line, do not edit this line

//        Your code goes here

module sample_filter_dp8_v (
    input wire clock, 
    output wire busy, 
    output wire eos, 
    output wire eos_sign
);

/* ==================== Wire and Register Declarations ==================== */
localparam [2:0] idle = 3'b000;
localparam [2:0] fetch = 3'b001;
localparam [2:0] check_p_0 = 3'b010;
localparam [2:0] check_p_1 = 3'b011;
localparam [2:0] check_n_0 = 3'b100;
localparam [2:0] check_n_1 = 3'b101;
localparam [2:0] gen_trg = 3'b110;
wire sign;
wire F0_empty;
wire Datapath_1_d0_load;
wire Datapath_1_d1_load;
wire Datapath_1_f0_load;
wire Datapath_1_f1_load;
wire Datapath_1_route_si;
wire Datapath_1_route_ci;
wire  [2:0] Datapath_1_select;
reg trg_cnt;
reg  [2:0] Adc_filter;

/* ==================== Assignment of Combinatorial Variables ==================== */
assign busy = (Adc_filter != idle);
assign eos = ((Adc_filter==gen_trg));
assign eos_sign = (sign);
assign Datapath_1_d0_load = (1'b0);
assign Datapath_1_d1_load = (1'b0);
assign Datapath_1_f0_load = (1'b0);
assign Datapath_1_f1_load = (1'b0);
assign Datapath_1_route_si = (1'b0);
assign Datapath_1_route_ci = (1'b0);
assign Datapath_1_select[0] = (Adc_filter[0]);
assign Datapath_1_select[1] = (Adc_filter[1]);
assign Datapath_1_select[2] = (Adc_filter[2]);

/* ==================== Datapath_1 (Width: 8) Instantiation ==================== */
parameter Datapath_1_dpconfig0 = 
{
    `CS_ALU_OP_PASS, `CS_SRCA_A1, `CS_SRCB_D0, `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM0:     idle */
    `CS_ALU_OP_PASS, `CS_SRCA_A1, `CS_SRCB_D0, `CS_SHFT_OP_PASS, `CS_A0_SRC___F0, `CS_A1_SRC___F1, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM1:     load value */
    `CS_ALU_OP__SUB, `CS_SRCA_A0, `CS_SRCB_D0, `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC_NONE, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM2:     subtract min low */
    `CS_ALU_OP__SUB, `CS_SRCA_A1, `CS_SRCB_D1, `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC__ALU, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGB, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM3:     subtract min high */
    `CS_ALU_OP__ADD, `CS_SRCA_A0, `CS_SRCB_D0, `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC_NONE, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM4:     add min low */
    `CS_ALU_OP__ADD, `CS_SRCA_A1, `CS_SRCB_D1, `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC__ALU, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGB, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM5:     add min high */
    `CS_ALU_OP_PASS, `CS_SRCA_A1, `CS_SRCB_D0, `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM6:     trg out/nop */
    `CS_ALU_OP_PASS, `CS_SRCA_A1, `CS_SRCB_D0, `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE, `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA, `CS_CMP_SEL_CFGA,  /*CFGRAM7:      */
    8'hFF, 8'h00, /*CFG9:     CFG9 */
    8'hFF, 8'hFF, /*CFG11-10:     CFG11-10 */
    `SC_CMPB_A1_D1, `SC_CMPA_A0_D1, `SC_CI_B_REGIS, `SC_CI_A_ARITH, `SC_C1_MASK_DSBL, `SC_C0_MASK_DSBL, `SC_A_MASK_DSBL, `SC_DEF_SI_0, `SC_SI_B_DEFSI, `SC_SI_A_DEFSI, /*CFG13-12:     CFG13-12 */
    `SC_A0_SRC_ACC, `SC_SHIFT_SL, 1'h0, `SC_SR_SRC_REG, `SC_FIFO1_BUS, `SC_FIFO0_BUS, `SC_MSB_ENBL, `SC_MSB_BIT7, `SC_MSB_NOCHN, `SC_FB_NOCHN, `SC_CMP1_NOCHN, `SC_CMP0_NOCHN, /*CFG15-14:     CFG15-14 */
    3'h00, `SC_FIFO_SYNC__ADD, 2'h00, `SC_FIFO1_DYN_OF, `SC_FIFO0_DYN_OF, `SC_FIFO_CLK1_POS, `SC_FIFO_CLK0_POS, `SC_FIFO_CLK__DP, `SC_FIFO_CAP_AX, `SC_FIFO_LEVEL, `SC_FIFO__SYNC, `SC_EXTCRC_DSBL, `SC_WRK16CAT_DSBL /*CFG17-16:     CFG17-16 */
};
cy_psoc3_dp8 #(
    .cy_dpconfig_a( Datapath_1_dpconfig0 ),
    .d0_init_a( 8'h00 ),
    .d1_init_a( 8'h04 ),
    .a0_init_a( 8'b00000000 ),
    .a1_init_a( 8'b00000000 ))
    Datapath_1(
        .clk( clock ),
        .cs_addr( Datapath_1_select ),
        .route_si( Datapath_1_route_si ),
        .route_ci( Datapath_1_route_ci ),
        .f0_load( Datapath_1_f0_load ),
        .f1_load( Datapath_1_f1_load ),
        .d0_load( Datapath_1_d0_load ),
        .d1_load( Datapath_1_d1_load ),
        .ce0(  ), 
        .cl0(  ), 
        .z0(  ), 
        .ff0(  ), 
        .ce1(  ), 
        .cl1(  ), 
        .z1(  ), 
        .ff1(  ), 
        .ov_msb(  ), 
        .co_msb(  ), 
        .cmsb(  ), 
        .so( sign ), 
        .f0_bus_stat(  ), 
        .f0_blk_stat( F0_empty ), 
        .f1_bus_stat(  ), 
        .f1_blk_stat(  )
    );

/* ==================== State Machine: Adc_filter ==================== */
always @ (posedge clock)
begin : idle_state_logic
    case(Adc_filter)
        idle : 
        begin
            trg_cnt <= (0);
            if (( !F0_empty ) == 1'b1)
            begin
                Adc_filter <= fetch ;
            end
        end
        fetch : 
        begin
            if (( !sign ) == 1'b1)
            begin
                Adc_filter <= check_p_0 ;
            end
            else if (( sign ) == 1'b1)
            begin
                Adc_filter <= check_n_0 ;
            end
        end
        check_p_0 : 
        begin
            if (( 1'b1 ) == 1'b1)
            begin
                Adc_filter <= check_p_1 ;
            end
        end
        check_p_1 : 
        begin
            if (( !sign ) == 1'b1)
            begin
                Adc_filter <= gen_trg ;
            end
            else if (( sign ) == 1'b1)
            begin
                Adc_filter <= idle ;
            end
        end
        gen_trg : 
        begin
            trg_cnt <= (trg_cnt+1);
            if (( trg_cnt==1 ) == 1'b1)
            begin
                Adc_filter <= idle ;
            end
        end
        check_n_0 : 
        begin
            if (( 1'b1 ) == 1'b1)
            begin
                Adc_filter <= check_n_1 ;
            end
        end
        check_n_1 : 
        begin
            if (( sign ) == 1'b1)
            begin
                Adc_filter <= gen_trg ;
            end
            else if (( !sign ) == 1'b1)
            begin
                Adc_filter <= idle ;
            end
        end
        default :
        begin
            Adc_filter <= idle;
        end
    endcase
end

endmodule
//`#end` -- edit above this line, do not edit this line

//`#start footer` -- edit after this line, do not edit this line
//`#end` -- edit above this line, do not edit this line


//[] END OF FILE





