/*******************************************************************************
* File Name: OSD_1_Timer_px.c
* Version 1.0
*
* Description:
*  This file provides the source code to the API for the OSD_1_Timer_px
*  component
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "OSD_1_Timer_px.h"

/** Indicates whether or not the OSD_1_Timer_px has been initialized. 
*  The variable is initialized to 0 and set to 1 the first time 
*  OSD_1_Timer_px_Start() is called. This allows the Component to 
*  restart without reinitialization after the first call to 
*  the OSD_1_Timer_px_Start() routine.
*/
uint8_t OSD_1_Timer_px_initVar = 0U;

/** The instance-specific configuration structure. This should be used in the 
*  associated OSD_1_Timer_px_Init() function.
*/ 
cy_stc_tcpwm_counter_config_t const OSD_1_Timer_px_config =
{
        .period = 32768UL,
        .clockPrescaler = 0UL,
        .runMode = 0UL,
        .countDirection = 0UL,
        .compareOrCapture = 2UL,
        .compare0 = 16384UL,
        .compare1 = 16384UL,
        .enableCompareSwap = false,
        .interruptSources = 0UL,
        .captureInputMode = 3UL,
        .captureInput = CY_TCPWM_INPUT_CREATOR,
        .reloadInputMode = 0UL,
        .reloadInput = CY_TCPWM_INPUT_CREATOR,
        .startInputMode = 0UL,
        .startInput = CY_TCPWM_INPUT_CREATOR,
        .stopInputMode = 3UL,
        .stopInput = CY_TCPWM_INPUT_CREATOR,
        .countInputMode = 3UL,
        .countInput = CY_TCPWM_INPUT_CREATOR,
};


/*******************************************************************************
* Function Name: OSD_1_Timer_px_Start
****************************************************************************//**
*
*  Calls the OSD_1_Timer_px_Init() when called the first time and enables 
*  the OSD_1_Timer_px. For subsequent calls the configuration is left 
*  unchanged and the component is just enabled.
*
* \globalvars
*  \ref OSD_1_Timer_px_initVar
*
*******************************************************************************/
void OSD_1_Timer_px_Start(void)
{
    if (0U == OSD_1_Timer_px_initVar)
    {
        (void)Cy_TCPWM_Counter_Init(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, &OSD_1_Timer_px_config); 

        OSD_1_Timer_px_initVar = 1U;
    }

    Cy_TCPWM_Enable_Multiple(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
    
    #if (OSD_1_Timer_px_INPUT_DISABLED == 0UL)
        Cy_TCPWM_TriggerStart(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
    #endif /* (OSD_1_Timer_px_INPUT_DISABLED == 0UL) */    
}


/* [] END OF FILE */
