/*******************************************************************************
* File Name: OSD_1_Timer_px.h
* Version 1.0
*
* Description:
*  This file provides constants and parameter values for the OSD_1_Timer_px
*  component.
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(OSD_1_Timer_px_CY_TCPWM_COUNTER_PDL_H)
#define OSD_1_Timer_px_CY_TCPWM_COUNTER_PDL_H

#include "cyfitter.h"
#include "tcpwm/cy_tcpwm_counter.h"

   
/*******************************************************************************
* Variables
*******************************************************************************/
/**
* \addtogroup group_globals
* @{
*/
extern uint8_t  OSD_1_Timer_px_initVar;
extern cy_stc_tcpwm_counter_config_t const OSD_1_Timer_px_config;
/** @} group_globals */


/***************************************
*  Conditional Compilation Parameters
***************************************/

#define OSD_1_Timer_px_INIT_COMPARE_OR_CAPTURE    (2UL)


/***************************************
*        Function Prototypes
****************************************/
/**
* \addtogroup group_general
* @{
*/
void OSD_1_Timer_px_Start(void);
__STATIC_INLINE cy_en_tcpwm_status_t OSD_1_Timer_px_Init(cy_stc_tcpwm_counter_config_t const *config);
__STATIC_INLINE void OSD_1_Timer_px_DeInit(void);
__STATIC_INLINE void OSD_1_Timer_px_Enable(void);
__STATIC_INLINE void OSD_1_Timer_px_Disable(void);
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetStatus(void);

#if(CY_TCPWM_COUNTER_MODE_CAPTURE == OSD_1_Timer_px_INIT_COMPARE_OR_CAPTURE)
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCapture(void);
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCaptureBuf(void);
#else
    __STATIC_INLINE void OSD_1_Timer_px_SetCompare0(uint32_t compare0);
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCompare0(void);
    __STATIC_INLINE void OSD_1_Timer_px_SetCompare1(uint32_t compare1);
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCompare1(void);
    __STATIC_INLINE void OSD_1_Timer_px_EnableCompareSwap(bool enable);
#endif /* (CY_TCPWM_COUNTER_MODE_CAPTURE == OSD_1_Timer_px_INIT_COMPARE_OR_CAPTURE) */

__STATIC_INLINE void OSD_1_Timer_px_SetCounter(uint32_t count);
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetCounter(void);
__STATIC_INLINE void OSD_1_Timer_px_SetPeriod(uint32_t period);
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetPeriod(void);
__STATIC_INLINE void OSD_1_Timer_px_TriggerStart(void);
__STATIC_INLINE void OSD_1_Timer_px_TriggerReload(void);
__STATIC_INLINE void OSD_1_Timer_px_TriggerStop(void);
__STATIC_INLINE void OSD_1_Timer_px_TriggerCapture(void);
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetInterruptStatus(void);
__STATIC_INLINE void OSD_1_Timer_px_ClearInterrupt(uint32_t source);
__STATIC_INLINE void OSD_1_Timer_px_SetInterrupt(uint32_t source);
__STATIC_INLINE void OSD_1_Timer_px_SetInterruptMask(uint32_t mask);
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetInterruptMask(void);
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetInterruptStatusMasked(void);
/** @} general */


/***************************************
*           API Constants
***************************************/

/**
* \addtogroup group_macros
* @{
*/
/** This is a ptr to the base address of the TCPWM instance */
#define OSD_1_Timer_px_HW                 (OSD_1_Timer_px_TCPWM__HW)

/** This is a ptr to the base address of the TCPWM CNT instance */
#define OSD_1_Timer_px_CNT_HW             (OSD_1_Timer_px_TCPWM__CNT_HW)

/** This is the counter instance number in the selected TCPWM */
#define OSD_1_Timer_px_CNT_NUM            (OSD_1_Timer_px_TCPWM__CNT_IDX)

/** This is the bit field representing the counter instance in the selected TCPWM */
#define OSD_1_Timer_px_CNT_MASK           (1UL << OSD_1_Timer_px_CNT_NUM)
/** @} group_macros */

#define OSD_1_Timer_px_INPUT_MODE_MASK    (0x3U)
#define OSD_1_Timer_px_INPUT_DISABLED     (7U)


/*******************************************************************************
* Function Name: OSD_1_Timer_px_Init
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_Init() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE cy_en_tcpwm_status_t OSD_1_Timer_px_Init(cy_stc_tcpwm_counter_config_t const *config)
{
    return(Cy_TCPWM_Counter_Init(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, config));
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_DeInit
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_DeInit() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_DeInit(void)                   
{
    Cy_TCPWM_Counter_DeInit(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, &OSD_1_Timer_px_config);
}

/*******************************************************************************
* Function Name: OSD_1_Timer_px_Enable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Enable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_Enable(void)                   
{
    Cy_TCPWM_Enable_Multiple(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_Disable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Disable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_Disable(void)                  
{
    Cy_TCPWM_Disable_Multiple(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_GetStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetStatus(void)                
{
    return(Cy_TCPWM_Counter_GetStatus(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
}


#if(CY_TCPWM_COUNTER_MODE_CAPTURE == OSD_1_Timer_px_INIT_COMPARE_OR_CAPTURE)
    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_GetCapture
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCapture() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCapture(void)               
    {
        return(Cy_TCPWM_Counter_GetCapture(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_GetCaptureBuf
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCaptureBuf() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCaptureBuf(void)            
    {
        return(Cy_TCPWM_Counter_GetCaptureBuf(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
    }
#else
    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_SetCompare0
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_SetCompare0() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void OSD_1_Timer_px_SetCompare0(uint32_t compare0)      
    {
        Cy_TCPWM_Counter_SetCompare0(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, compare0);
    }


    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_GetCompare0
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCompare0() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCompare0(void)              
    {
        return(Cy_TCPWM_Counter_GetCompare0(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_SetCompare1
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_SetCompare1() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void OSD_1_Timer_px_SetCompare1(uint32_t compare1)      
    {
        Cy_TCPWM_Counter_SetCompare1(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, compare1);
    }


    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_GetCompare1
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_GetCompare1() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE uint32_t OSD_1_Timer_px_GetCompare1(void)              
    {
        return(Cy_TCPWM_Counter_GetCompare1(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
    }


    /*******************************************************************************
    * Function Name: OSD_1_Timer_px_EnableCompareSwap
    ****************************************************************************//**
    *
    * Invokes the Cy_TCPWM_Counter_EnableCompareSwap() PDL driver function.
    *
    *******************************************************************************/
    __STATIC_INLINE void OSD_1_Timer_px_EnableCompareSwap(bool enable)  
    {
        Cy_TCPWM_Counter_EnableCompareSwap(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, enable);
    }
#endif /* (CY_TCPWM_COUNTER_MODE_CAPTURE == OSD_1_Timer_px_INIT_COMPARE_OR_CAPTURE) */


/*******************************************************************************
* Function Name: OSD_1_Timer_px_SetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_SetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_SetCounter(uint32_t count)          
{
    Cy_TCPWM_Counter_SetCounter(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, count);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_GetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetCounter(void)               
{
    return(Cy_TCPWM_Counter_GetCounter(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_SetPeriod
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_SetPeriod() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_SetPeriod(uint32_t period)          
{
    Cy_TCPWM_Counter_SetPeriod(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, period);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_GetPeriod
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Counter_GetPeriod() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetPeriod(void)                
{
    return(Cy_TCPWM_Counter_GetPeriod(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_TriggerStart
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStart() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_TriggerStart(void)             
{
    Cy_TCPWM_TriggerStart(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_TriggerReload
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerReloadOrIndex() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_TriggerReload(void)     
{
    Cy_TCPWM_TriggerReloadOrIndex(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_TriggerStop
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStopOrKill() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_TriggerStop(void)
{
    Cy_TCPWM_TriggerStopOrKill(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_TriggerCapture
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerCaptureOrSwap() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_TriggerCapture(void)     
{
    Cy_TCPWM_TriggerCaptureOrSwap(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_MASK);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_GetInterruptStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetInterruptStatus(void)       
{
    return(Cy_TCPWM_GetInterruptStatus(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_ClearInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_ClearInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_ClearInterrupt(uint32_t source)     
{
    Cy_TCPWM_ClearInterrupt(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_SetInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_SetInterrupt(uint32_t source)
{
    Cy_TCPWM_SetInterrupt(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_SetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void OSD_1_Timer_px_SetInterruptMask(uint32_t mask)     
{
    Cy_TCPWM_SetInterruptMask(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM, mask);
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_GetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetInterruptMask(void)         
{
    return(Cy_TCPWM_GetInterruptMask(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
}


/*******************************************************************************
* Function Name: OSD_1_Timer_px_GetInterruptStatusMasked
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatusMasked() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t OSD_1_Timer_px_GetInterruptStatusMasked(void)
{
    return(Cy_TCPWM_GetInterruptStatusMasked(OSD_1_Timer_px_HW, OSD_1_Timer_px_CNT_NUM));
}

#endif /* OSD_1_Timer_px_CY_TCPWM_COUNTER_PDL_H */


/* [] END OF FILE */
