/***************************************************************************//**
* \file ADCModule_1_DMA_1.c
* \version 2.0
*
*  This file provides the source code to the API for the
*  ADCModule_1_DMA_1 component.
*
********************************************************************************
* \copyright
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "ADCModule_1_DMA_1.h"

#if defined(__cplusplus)
extern "C" {
#endif

/* Generated code */
const cy_stc_dma_descriptor_config_t ADCModule_1_DMA_1_get_adc_result_config =
{
    .retrigger       = CY_DMA_RETRIG_IM,
    .interruptType   = CY_DMA_DESCR_CHAIN,
    .triggerOutType  = CY_DMA_DESCR,
    .channelState    = CY_DMA_CHANNEL_ENABLED,
    .triggerInType   = CY_DMA_DESCR_CHAIN,
    .dataSize        = CY_DMA_HALFWORD,
    .srcTransferSize = CY_DMA_TRANSFER_SIZE_WORD,
    .dstTransferSize = CY_DMA_TRANSFER_SIZE_DATA,
    .descriptorType  = CY_DMA_SINGLE_TRANSFER,
    .srcAddress      = NULL,
    .dstAddress      = NULL,
    .srcXincrement   = 1L,
    .dstXincrement   = 0L,
    .xCount          = 1UL,
    .srcYincrement   = 1L,
    .dstYincrement   = 0L,
    .yCount          = 1UL,
    .nextDescriptor  = &ADCModule_1_DMA_1_get_sar_ch
};

cy_stc_dma_descriptor_t ADCModule_1_DMA_1_get_adc_result =
{
    .ctl = 0UL,
    .src = 0UL,
    .dst = 0UL,
    .xCtl = 0UL,
    .yCtl = 0UL,
    .nextPtr = 0UL
};

const cy_stc_dma_descriptor_config_t ADCModule_1_DMA_1_get_sar_ch_config =
{
    .retrigger       = CY_DMA_RETRIG_IM,
    .interruptType   = CY_DMA_DESCR_CHAIN,
    .triggerOutType  = CY_DMA_DESCR,
    .channelState    = CY_DMA_CHANNEL_ENABLED,
    .triggerInType   = CY_DMA_DESCR,
    .dataSize        = CY_DMA_BYTE,
    .srcTransferSize = CY_DMA_TRANSFER_SIZE_WORD,
    .dstTransferSize = CY_DMA_TRANSFER_SIZE_DATA,
    .descriptorType  = CY_DMA_SINGLE_TRANSFER,
    .srcAddress      = NULL,
    .dstAddress      = NULL,
    .srcXincrement   = 1L,
    .dstXincrement   = 0L,
    .xCount          = 1UL,
    .srcYincrement   = 1L,
    .dstYincrement   = 1L,
    .yCount          = 1UL,
    .nextDescriptor  = &ADCModule_1_DMA_1_get_adc_result
};

cy_stc_dma_descriptor_t ADCModule_1_DMA_1_get_sar_ch =
{
    .ctl = 0UL,
    .src = 0UL,
    .dst = 0UL,
    .xCtl = 0UL,
    .yCtl = 0UL,
    .nextPtr = 0UL
};


/** ADCModule_1_DMA_1_initVar indicates whether the ADCModule_1_DMA_1 
*  component has been initialized. The variable is initialized to 0 
*  and set to 1 the first time ADCModule_1_DMA_1_Start() is called. This allows 
*  the component to restart without reinitialization after the first 
*  call to the ADCModule_1_DMA_1_Start() routine.
*
*  If re-initialization of the component is required, then the 
*  ADCModule_1_DMA_1_Init() function can be called before the 
*  ADCModule_1_DMA_1_Start() or ADCModule_1_DMA_1_ChEnable() function.
*/
uint8 ADCModule_1_DMA_1_initVar = 0u;


/*******************************************************************************
* Function Name: ADCModule_1_DMA_1_Start
****************************************************************************//**
*
* Based on the settings for descriptor in the customizer this function runs the
* DMA_Descriptor_Init() and then initializes the channel using
* DMA_Chnl_Init(). Enables the ADCModule_1_DMA_1 block using the DMA_Chnl_Enable().
*  
*******************************************************************************/
void ADCModule_1_DMA_1_Start(void const * srcAddress, void const * dstAddress)
{
    if (0U == ADCModule_1_DMA_1_initVar)
    {
        ADCModule_1_DMA_1_Init();
        ADCModule_1_DMA_1_initVar = 1u;
    }
    
    Cy_DMA_Descriptor_SetSrcAddress(&ADCModule_1_DMA_1_get_adc_result, srcAddress);
    Cy_DMA_Descriptor_SetDstAddress(&ADCModule_1_DMA_1_get_adc_result, dstAddress);
    Cy_DMA_Channel_Enable(ADCModule_1_DMA_1_HW, ADCModule_1_DMA_1_DW_CHANNEL);
}


/*******************************************************************************
* Function Name: ADCModule_1_DMA_1_Init
****************************************************************************//**
*
* Based on the settings for the descriptor in the customizer this function runs the
* DMA_Descriptor_Init() and then initializes the channel using
* DMA_Chnl_Init().
*  
*******************************************************************************/
void ADCModule_1_DMA_1_Init(void)
{
    cy_stc_dma_channel_config_t channelConfig;

    /* Init all descriptors */
    (void)Cy_DMA_Descriptor_Init(&ADCModule_1_DMA_1_get_adc_result, &ADCModule_1_DMA_1_get_adc_result_config);
    (void)Cy_DMA_Descriptor_Init(&ADCModule_1_DMA_1_get_sar_ch, &ADCModule_1_DMA_1_get_sar_ch_config);


    channelConfig.descriptor  = &ADCModule_1_DMA_1_get_adc_result;
    channelConfig.preemptable = ADCModule_1_DMA_1_PREEMPTABLE;
    channelConfig.priority    = ADCModule_1_DMA_1_PRIORITY;
    channelConfig.enable      = false;
    channelConfig.bufferable  = ADCModule_1_DMA_1_BUFFERABLE;

    (void)Cy_DMA_Channel_Init(ADCModule_1_DMA_1_HW, ADCModule_1_DMA_1_DW_CHANNEL, &channelConfig);

    Cy_DMA_Enable(ADCModule_1_DMA_1_HW);
}


#if defined(__cplusplus)
}
#endif

/* [] END OF FILE */
