/*******************************************************************************
* File Name: ESCCore_4_ESC_Comm_Timer_PWM_ringing.c
* Version 1.0
*
* Description:
*  This file provides the source code to the API for the ESCCore_4_ESC_Comm_Timer_PWM_ringing
*  component.
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "ESCCore_4_ESC_Comm_Timer_PWM_ringing.h"

/** Indicates whether or not the ESCCore_4_ESC_Comm_Timer_PWM_ringing has been initialized. 
*  The variable is initialized to 0 and set to 1 the first time 
*  ESCCore_4_ESC_Comm_Timer_PWM_ringing_Start() is called. This allows the Component to 
*  restart without reinitialization after the first call to 
*  the ESCCore_4_ESC_Comm_Timer_PWM_ringing_Start() routine.
*/
uint8_t ESCCore_4_ESC_Comm_Timer_PWM_ringing_initVar = 0U;

/** The instance-specific configuration structure. This should be used in the 
*  associated ESCCore_4_ESC_Comm_Timer_PWM_ringing_Init() function.
*/ 
cy_stc_tcpwm_pwm_config_t const ESCCore_4_ESC_Comm_Timer_PWM_ringing_config =
{
    .pwmMode = 4UL,
    .clockPrescaler = 0UL,
    .pwmAlignment = 0UL,
    .deadTimeClocks = 32UL,
    .runMode = 1UL,
    .period0 = 143UL,
    .period1 = 758UL,
    .enablePeriodSwap = false,
    .compare0 = 65535UL,
    .compare1 = 101UL,
    .enableCompareSwap = false,
    .interruptSources = 0UL,
    .invertPWMOut = 0UL,
    .invertPWMOutN = 0UL,
    .killMode = 2UL,
    .swapInputMode = 3UL,
    .swapInput = CY_TCPWM_INPUT_CREATOR,
    .reloadInputMode = 0UL,
    .reloadInput = CY_TCPWM_INPUT_CREATOR,
    .startInputMode = 0UL,
    .startInput = CY_TCPWM_INPUT_CREATOR,
    .killInputMode = 3UL,
    .killInput = CY_TCPWM_INPUT_CREATOR,
    .countInputMode = 3UL,
    .countInput = CY_TCPWM_INPUT_CREATOR,
};


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_PWM_ringing_Start
****************************************************************************//**
*
*  Calls the ESCCore_4_ESC_Comm_Timer_PWM_ringing_Init() when called the first time and enables 
*  the ESCCore_4_ESC_Comm_Timer_PWM_ringing. For subsequent calls the configuration is left 
*  unchanged and the component is just enabled.
*
* \globalvars
*  \ref ESCCore_4_ESC_Comm_Timer_PWM_ringing_initVar
*
*******************************************************************************/
void ESCCore_4_ESC_Comm_Timer_PWM_ringing_Start(void)
{
    if (0U == ESCCore_4_ESC_Comm_Timer_PWM_ringing_initVar)
    {
        (void) Cy_TCPWM_PWM_Init(ESCCore_4_ESC_Comm_Timer_PWM_ringing_HW, ESCCore_4_ESC_Comm_Timer_PWM_ringing_CNT_NUM, &ESCCore_4_ESC_Comm_Timer_PWM_ringing_config);

        ESCCore_4_ESC_Comm_Timer_PWM_ringing_initVar = 1U;
    }

    Cy_TCPWM_Enable_Multiple(ESCCore_4_ESC_Comm_Timer_PWM_ringing_HW, ESCCore_4_ESC_Comm_Timer_PWM_ringing_CNT_MASK);
    
    #if (ESCCore_4_ESC_Comm_Timer_PWM_ringing_INPUT_DISABLED == 0UL)
        Cy_TCPWM_TriggerStart(ESCCore_4_ESC_Comm_Timer_PWM_ringing_HW, ESCCore_4_ESC_Comm_Timer_PWM_ringing_CNT_MASK);
    #endif /* (ESCCore_4_ESC_Comm_Timer_PWM_ringing_INPUT_DISABLED == 0UL) */    
}


/* [] END OF FILE */
