/*******************************************************************************
* File Name: ESCCore_4_ESC_Comm_Timer_Toff.h
* Version 1.0
*
* Description:
*  This file provides constants and parameter values for the ESCCore_4_ESC_Comm_Timer_Toff
*  component.
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(ESCCore_4_ESC_Comm_Timer_Toff_CY_TCPWM_PWM_PDL_H)
#define ESCCore_4_ESC_Comm_Timer_Toff_CY_TCPWM_PWM_PDL_H

#include "cyfitter.h"
#include "tcpwm/cy_tcpwm_pwm.h"

   
/*******************************************************************************
* Variables
*******************************************************************************/
/**
* \addtogroup group_globals
* @{
*/
extern uint8_t  ESCCore_4_ESC_Comm_Timer_Toff_initVar;
extern cy_stc_tcpwm_pwm_config_t const ESCCore_4_ESC_Comm_Timer_Toff_config;
/** @} group_globals */


/***************************************
*        Function Prototypes
****************************************/
/**
* \addtogroup group_general
* @{
*/
void ESCCore_4_ESC_Comm_Timer_Toff_Start(void);
__STATIC_INLINE cy_en_tcpwm_status_t ESCCore_4_ESC_Comm_Timer_Toff_Init(cy_stc_tcpwm_pwm_config_t const *config);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_DeInit(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_Enable(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_Disable(void);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetStatus(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetCompare0(uint32_t compare0);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetCompare0(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetCompare1(uint32_t compare1);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetCompare1(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_EnableCompareSwap(bool enable);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetCounter(uint32_t count);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetCounter(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetPeriod0(uint32_t period0);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetPeriod0(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetPeriod1(uint32_t period1);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetPeriod1(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_EnablePeriodSwap(bool enable);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerStart(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerReload(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerKill(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerSwap(void);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptStatus(void);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_ClearInterrupt(uint32_t source);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetInterrupt(uint32_t source);
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetInterruptMask(uint32_t mask);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptMask(void);
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptStatusMasked(void);
/** @} general */


/***************************************
*           API Constants
***************************************/

/**
* \addtogroup group_macros
* @{
*/
/** This is a ptr to the base address of the TCPWM instance */
#define ESCCore_4_ESC_Comm_Timer_Toff_HW                 (ESCCore_4_ESC_Comm_Timer_Toff_TCPWM__HW)

/** This is a ptr to the base address of the TCPWM CNT instance */
#define ESCCore_4_ESC_Comm_Timer_Toff_CNT_HW             (ESCCore_4_ESC_Comm_Timer_Toff_TCPWM__CNT_HW)

/** This is the counter instance number in the selected TCPWM */
#define ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM            (ESCCore_4_ESC_Comm_Timer_Toff_TCPWM__CNT_IDX)

/** This is the bit field representing the counter instance in the selected TCPWM */
#define ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK           (1UL << ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM)
/** @} group_macros */

#define ESCCore_4_ESC_Comm_Timer_Toff_INPUT_MODE_MASK    (0x3U)
#define ESCCore_4_ESC_Comm_Timer_Toff_INPUT_DISABLED     (7U)


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_Init
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_Init() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE cy_en_tcpwm_status_t ESCCore_4_ESC_Comm_Timer_Toff_Init(cy_stc_tcpwm_pwm_config_t const *config)
{
    return(Cy_TCPWM_PWM_Init(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, config));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_DeInit
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_DeInit() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_DeInit(void)                   
{
    Cy_TCPWM_PWM_DeInit(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, &ESCCore_4_ESC_Comm_Timer_Toff_config);
}

/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_Enable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Enable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_Enable(void)                   
{
    Cy_TCPWM_Enable_Multiple(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_Disable
****************************************************************************//**
*
* Invokes the Cy_TCPWM_Disable_Multiple() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_Disable(void)                  
{
    Cy_TCPWM_Disable_Multiple(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_GetStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetStatus(void)                
{
    return(Cy_TCPWM_PWM_GetStatus(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetCompare0
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_SetCompare0() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetCompare0(uint32_t compare0)      
{
    Cy_TCPWM_PWM_SetCompare0(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, compare0);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetCompare0
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_GetCompare0() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetCompare0(void)              
{
    return(Cy_TCPWM_PWM_GetCompare0(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetCompare1
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_SetCompare1() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetCompare1(uint32_t compare1)      
{
    Cy_TCPWM_PWM_SetCompare1(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, compare1);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetCompare1
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_GetCompare1() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetCompare1(void)              
{
    return(Cy_TCPWM_PWM_GetCompare1(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_EnableCompareSwap
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_EnableCompareSwap() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_EnableCompareSwap(bool enable)  
{
    Cy_TCPWM_PWM_EnableCompareSwap(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, enable);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_SetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetCounter(uint32_t count)          
{
    Cy_TCPWM_PWM_SetCounter(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, count);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetCounter
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_GetCounter() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetCounter(void)               
{
    return(Cy_TCPWM_PWM_GetCounter(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetPeriod0
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_SetPeriod0() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetPeriod0(uint32_t period0)          
{
    Cy_TCPWM_PWM_SetPeriod0(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, period0);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetPeriod0
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_GetPeriod0() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetPeriod0(void)                
{
    return(Cy_TCPWM_PWM_GetPeriod0(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetPeriod1
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_SetPeriod1() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetPeriod1(uint32_t period1)
{
    Cy_TCPWM_PWM_SetPeriod1(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, period1);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetPeriod1
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_GetPeriod1() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetPeriod1(void)                
{
    return(Cy_TCPWM_PWM_GetPeriod1(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_EnablePeriodSwap
****************************************************************************//**
*
* Invokes the Cy_TCPWM_PWM_EnablePeriodSwap() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_EnablePeriodSwap(bool enable)
{
    Cy_TCPWM_PWM_EnablePeriodSwap(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, enable);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_TriggerStart
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStart() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerStart(void)             
{
    Cy_TCPWM_TriggerStart(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_TriggerReload
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerReloadOrIndex() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerReload(void)     
{
    Cy_TCPWM_TriggerReloadOrIndex(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_TriggerKill
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerStopOrKill() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerKill(void)
{
    Cy_TCPWM_TriggerStopOrKill(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_TriggerSwap
****************************************************************************//**
*
* Invokes the Cy_TCPWM_TriggerCaptureOrSwap() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_TriggerSwap(void)     
{
    Cy_TCPWM_TriggerCaptureOrSwap(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_MASK);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptStatus
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatus() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptStatus(void)       
{
    return(Cy_TCPWM_GetInterruptStatus(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_ClearInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_ClearInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_ClearInterrupt(uint32_t source)     
{
    Cy_TCPWM_ClearInterrupt(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetInterrupt
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterrupt() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetInterrupt(uint32_t source)
{
    Cy_TCPWM_SetInterrupt(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, source);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_SetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_SetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE void ESCCore_4_ESC_Comm_Timer_Toff_SetInterruptMask(uint32_t mask)     
{
    Cy_TCPWM_SetInterruptMask(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM, mask);
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptMask
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptMask() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptMask(void)         
{
    return(Cy_TCPWM_GetInterruptMask(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}


/*******************************************************************************
* Function Name: ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptStatusMasked
****************************************************************************//**
*
* Invokes the Cy_TCPWM_GetInterruptStatusMasked() PDL driver function.
*
*******************************************************************************/
__STATIC_INLINE uint32_t ESCCore_4_ESC_Comm_Timer_Toff_GetInterruptStatusMasked(void)
{
    return(Cy_TCPWM_GetInterruptStatusMasked(ESCCore_4_ESC_Comm_Timer_Toff_HW, ESCCore_4_ESC_Comm_Timer_Toff_CNT_NUM));
}

#endif /* ESCCore_4_ESC_Comm_Timer_Toff_CY_TCPWM_PWM_PDL_H */


/* [] END OF FILE */
