/*******************************************************************************
* File Name: ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM.c
* Version 1.0
*
* Description:
*  This file provides the source code to the API for the ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM
*  component.
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM.h"

/** Indicates whether or not the ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM has been initialized. 
*  The variable is initialized to 0 and set to 1 the first time 
*  ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_Start() is called. This allows the Component to 
*  restart without reinitialization after the first call to 
*  the ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_Start() routine.
*/
uint8_t ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_initVar = 0U;

/** The instance-specific configuration structure. This should be used in the 
*  associated ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_Init() function.
*/ 
cy_stc_tcpwm_pwm_config_t const ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_config =
{
    .pwmMode = 5UL,
    .clockPrescaler = 0UL,
    .pwmAlignment = 0UL,
    .deadTimeClocks = 72UL,
    .runMode = 0UL,
    .period0 = 719UL,
    .period1 = 719UL,
    .enablePeriodSwap = true,
    .compare0 = 360UL,
    .compare1 = 360UL,
    .enableCompareSwap = true,
    .interruptSources = 0UL,
    .invertPWMOut = 0UL,
    .invertPWMOutN = 0UL,
    .killMode = 2UL,
    .swapInputMode = 3UL,
    .swapInput = CY_TCPWM_INPUT_CREATOR,
    .reloadInputMode = 3UL,
    .reloadInput = CY_TCPWM_INPUT_CREATOR,
    .startInputMode = 3UL,
    .startInput = CY_TCPWM_INPUT_CREATOR,
    .killInputMode = 3UL,
    .killInput = CY_TCPWM_INPUT_CREATOR,
    .countInputMode = 3UL,
    .countInput = CY_TCPWM_INPUT_CREATOR,
};


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_Start
****************************************************************************//**
*
*  Calls the ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_Init() when called the first time and enables 
*  the ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM. For subsequent calls the configuration is left 
*  unchanged and the component is just enabled.
*
* \globalvars
*  \ref ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_initVar
*
*******************************************************************************/
void ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_Start(void)
{
    if (0U == ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_initVar)
    {
        (void) Cy_TCPWM_PWM_Init(ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_HW, ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_CNT_NUM, &ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_config);

        ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_initVar = 1U;
    }

    Cy_TCPWM_Enable_Multiple(ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_HW, ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_CNT_MASK);
    
    #if (ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_INPUT_DISABLED == 7UL)
        Cy_TCPWM_TriggerStart(ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_HW, ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_CNT_MASK);
    #endif /* (ESCCore_sw_blanking_3_ESC_Comm_Timer_PWM_INPUT_DISABLED == 7UL) */    
}


/* [] END OF FILE */
