/*******************************************************************************
* File Name: ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_PM.c
* Version 1.80
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl.h"

/* Check for removal by optimization */
#if !defined(ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Sync_ctrl_reg__REMOVED)

static ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_BACKUP_STRUCT  ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_backup = {0u};

    
/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_SaveConfig(void) 
{
    ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_backup.controlState = ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Control;
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_RestoreConfig(void) 
{
     ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Control = ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_backup.controlState;
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Sleep(void) 
{
    ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_SaveConfig();
}


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_Wakeup(void)  
{
    ESCCore_sw_blanking_4_ESC_Comm_1_ACtrl_RestoreConfig();
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
