/*******************************************************************************
* File Name: ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm.c
* Version 1.0
*
* Description:
*  This file provides the source code to the API for the ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm
*  component
*
********************************************************************************
* Copyright 2016-2017, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm.h"

/** Indicates whether or not the ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm has been initialized. 
*  The variable is initialized to 0 and set to 1 the first time 
*  ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_Start() is called. This allows the Component to 
*  restart without reinitialization after the first call to 
*  the ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_Start() routine.
*/
uint8_t ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_initVar = 0U;

/** The instance-specific configuration structure. This should be used in the 
*  associated ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_Init() function.
*/ 
cy_stc_tcpwm_counter_config_t const ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_config =
{
        .period = 719999UL,
        .clockPrescaler = 0UL,
        .runMode = 0UL,
        .countDirection = 0UL,
        .compareOrCapture = 2UL,
        .compare0 = 16384UL,
        .compare1 = 16384UL,
        .enableCompareSwap = false,
        .interruptSources = 0UL,
        .captureInputMode = 0UL,
        .captureInput = CY_TCPWM_INPUT_CREATOR,
        .reloadInputMode = 3UL,
        .reloadInput = CY_TCPWM_INPUT_CREATOR,
        .startInputMode = 3UL,
        .startInput = CY_TCPWM_INPUT_CREATOR,
        .stopInputMode = 3UL,
        .stopInput = CY_TCPWM_INPUT_CREATOR,
        .countInputMode = 3UL,
        .countInput = CY_TCPWM_INPUT_CREATOR,
};


/*******************************************************************************
* Function Name: ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_Start
****************************************************************************//**
*
*  Calls the ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_Init() when called the first time and enables 
*  the ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm. For subsequent calls the configuration is left 
*  unchanged and the component is just enabled.
*
* \globalvars
*  \ref ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_initVar
*
*******************************************************************************/
void ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_Start(void)
{
    if (0U == ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_initVar)
    {
        (void)Cy_TCPWM_Counter_Init(ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_CNT_NUM, &ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_config); 

        ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_initVar = 1U;
    }

    Cy_TCPWM_Enable_Multiple(ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_CNT_MASK);
    
    #if (ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_INPUT_DISABLED == 7UL)
        Cy_TCPWM_TriggerStart(ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_HW, ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_CNT_MASK);
    #endif /* (ESCCore_sw_blanking_4_ESC_Comm_Timer_Comm_INPUT_DISABLED == 7UL) */    
}


/* [] END OF FILE */
