
/*******************************************************************************
* File Name: cyfitter_cfg.c
* 
* PSoC Creator  4.3
*
* Description:
* This file contains device initialization code.
* Except for the user defined sections in CyClockStartupError(), this file should not be modified.
* This file is automatically generated by PSoC Creator.
*
********************************************************************************
* Copyright (c) 2007-2019 Cypress Semiconductor.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include <string.h>
#include "cydevice_trm.h"
#include "cyfitter.h"
#include "trigmux/cy_trigmux.h"
#include "gpio/cy_gpio.h"
#include "syslib/cy_syslib.h"
#include "cyfitter_cfg.h"
#include "cyapicallbacks.h"
#include "sysclk/cy_sysclk.h"
#include "systick/cy_systick.h"

#define CY_NEED_CYCLOCKSTARTUPERROR 1
#include "syspm/cy_syspm.h"


#if defined(__GNUC__) || defined(__ARMCC_VERSION)
    #define CYPACKED 
    #define CYPACKED_ATTR __attribute__ ((packed))
    #define CYALIGNED __attribute__ ((aligned))
    #define CY_CFG_UNUSED __attribute__ ((unused))
    #ifndef CY_CFG_SECTION
        #define CY_CFG_SECTION __attribute__ ((section(".psocinit")))
    #endif
    
    #if defined(__ARMCC_VERSION)
        #define CY_CFG_MEMORY_BARRIER() __memory_changed()
    #else
        #define CY_CFG_MEMORY_BARRIER() __sync_synchronize()
    #endif
    
#elif defined(__ICCARM__)
    #include <intrinsics.h>

    #define CYPACKED __packed
    #define CYPACKED_ATTR 
    #define CYALIGNED _Pragma("data_alignment=4")
    #define CY_CFG_UNUSED _Pragma("diag_suppress=Pe177")
    #define CY_CFG_SECTION _Pragma("location=\".psocinit\"")
    
    #define CY_CFG_MEMORY_BARRIER() __DMB()
    
#else
    #error Unsupported toolchain
#endif

#ifndef CYCODE
    #define CYCODE
#endif
#ifndef CYDATA
    #define CYDATA
#endif
#ifndef CYFAR
    #define CYFAR
#endif
#ifndef CYXDATA
    #define CYXDATA
#endif


CY_CFG_UNUSED
static void CYMEMZERO(void *s, size_t n);
CY_CFG_UNUSED
static void CYMEMZERO(void *s, size_t n)
{
	(void)memset(s, 0, n);
}
CY_CFG_UNUSED
static void CYCONFIGCPY(void *dest, const void *src, size_t n);
CY_CFG_UNUSED
static void CYCONFIGCPY(void *dest, const void *src, size_t n)
{
	(void)memcpy(dest, src, n);
}
CY_CFG_UNUSED
static void CYCONFIGCPYCODE(void *dest, const void *src, size_t n);
CY_CFG_UNUSED
static void CYCONFIGCPYCODE(void *dest, const void *src, size_t n)
{
	(void)memcpy(dest, src, n);
}




/* Clock startup error codes                                                   */
#define CYCLOCKSTART_NO_ERROR    0u
#define CYCLOCKSTART_XTAL_ERROR  1u
#define CYCLOCKSTART_32KHZ_ERROR 2u
#define CYCLOCKSTART_PLL_ERROR   3u
#define CYCLOCKSTART_FLL_ERROR   4u
#define CYCLOCKSTART_WCO_ERROR   5u


#ifdef CY_NEED_CYCLOCKSTARTUPERROR
/*******************************************************************************
* Function Name: CyClockStartupError
********************************************************************************
* Summary:
*  If an error is encountered during clock configuration (crystal startup error,
*  PLL lock error, etc.), the system will end up here.  Unless reimplemented by
*  the customer, this function will stop in an infinite loop.
*
* Parameters:
*   void
*
* Return:
*   void
*
*******************************************************************************/
CY_CFG_UNUSED
static void CyClockStartupError(uint8 errorCode);
CY_CFG_UNUSED
static void CyClockStartupError(uint8 errorCode)
{
    /* To remove the compiler warning if errorCode not used.                */
    errorCode = errorCode;

    /* If we have a clock startup error (bad MHz crystal, PLL lock, etc.),  */
    /* we will end up here to allow the customer to implement something to  */
    /* deal with the clock condition.                                       */

#ifdef CY_CFG_CLOCK_STARTUP_ERROR_CALLBACK
    CY_CFG_Clock_Startup_ErrorCallback();
#else
    while(1) {}
#endif /* CY_CFG_CLOCK_STARTUP_ERROR_CALLBACK */
}
#endif

#define CY_CFG_BASE_ADDR_COUNT 11u
CYPACKED typedef struct
{
	uint8 offset;
	uint8 value;
} CYPACKED_ATTR cy_cfg_addrvalue_t;



/*******************************************************************************
* Function Name: cfg_write_bytes32
********************************************************************************
* Summary:
*  This function is used for setting up the chip configuration areas that
*  contain relatively sparse data.
*
* Parameters:
*   void
*
* Return:
*   void
*
*******************************************************************************/
static void cfg_write_bytes32(const uint32 addr_table[], const cy_cfg_addrvalue_t data_table[]);
static void cfg_write_bytes32(const uint32 addr_table[], const cy_cfg_addrvalue_t data_table[])
{
	/* For 32-bit little-endian architectures */
	uint32 i, j = 0u;
	for (i = 0u; i < CY_CFG_BASE_ADDR_COUNT; i++)
	{
		uint32 baseAddr = addr_table[i];
		uint8 count = (uint8)baseAddr;
		baseAddr &= 0xFFFFFF00u;
		while (count != 0u)
		{
			CY_SET_REG8((void *)(baseAddr + data_table[j].offset), data_table[j].value);
			j++;
			count--;
		}
	}
}
static void ClockInit(void);
static void ClockInit(void)
{
	uint32_t status;

	/* Enable all source clocks */
	Cy_SysClk_ClkLfSetSource(CY_SYSCLK_CLKLF_IN_ILO);

	/* Configure CPU clock dividers */
	Cy_SysClk_ClkFastSetDivider(0u);
	Cy_SysClk_ClkPeriSetDivider(1u);
	Cy_SysClk_ClkSlowSetDivider(0u);

	/* Configure LF & HF clocks */
	Cy_SysClk_ClkHfSetSource(0u, CY_SYSCLK_CLKHF_IN_CLKPATH1);
	Cy_SysClk_ClkHfSetDivider(0u, CY_SYSCLK_CLKHF_NO_DIVIDE);
	Cy_SysClk_ClkHfEnable(0u);

	/* Configure Path Clocks */
	Cy_SysClk_ClkPathSetSource(2, CY_SYSCLK_CLKPATH_IN_IMO);
	Cy_SysClk_ClkPathSetSource(3, CY_SYSCLK_CLKPATH_IN_IMO);
	Cy_SysClk_ClkPathSetSource(4, CY_SYSCLK_CLKPATH_IN_IMO);
	Cy_SysClk_ClkPathSetSource(0, CY_SYSCLK_CLKPATH_IN_IMO);
	{
		const cy_stc_fll_manual_config_t fllConfig = 
		{
			.fllMult =         500u,
			.refDiv =          20u,
			.ccoRange =        CY_SYSCLK_FLL_CCO_RANGE4,
			.enableOutputDiv = true,
			.lockTolerance =   10u,
			.igain =           9u,
			.pgain =           5u,
			.settlingCount =   8u,
			.outputMode =      CY_SYSCLK_FLLPLL_OUTPUT_AUTO,
			.cco_Freq =        355u
		};
		status = Cy_SysClk_FllManualConfigure(&fllConfig);
		if (CY_RET_SUCCESS != status)
		{
			CyClockStartupError(CYCLOCKSTART_FLL_ERROR);
		}
	}
	SRSS->CLK_TRIM_CCO_CTL |= 1u << 31;
	status = Cy_SysClk_FllEnable(200000u);
	if (CY_RET_SUCCESS != status)
	{
		CyClockStartupError(CYCLOCKSTART_FLL_ERROR);
	}
	Cy_SysClk_ClkPathSetSource(1, CY_SYSCLK_CLKPATH_IN_IMO);
	{
		const cy_stc_pll_manual_config_t pllConfig = 
		{
			.feedbackDiv  = 36u,
			.referenceDiv = 1u,
			.outputDiv    = 2u,
			.lfMode       = false,
			.outputMode   = CY_SYSCLK_FLLPLL_OUTPUT_AUTO
		};
		status = Cy_SysClk_PllManualConfigure(1u, &pllConfig);
		if (CY_SYSCLK_SUCCESS != status)
		{
			CyClockStartupError(CYCLOCKSTART_PLL_ERROR);
		}
	}
	status = Cy_SysClk_PllEnable(1u, 10000u);
	if (CY_SYSCLK_SUCCESS != status)
	{
		CyClockStartupError(CYCLOCKSTART_PLL_ERROR);
	}

	/* Configure miscellaneous clocks */
	Cy_SysClk_ClkTimerSetSource(CY_SYSCLK_CLKTIMER_IN_IMO);
	Cy_SysClk_ClkTimerSetDivider(0);
	Cy_SysClk_ClkTimerEnable();
	Cy_SysClk_ClkPumpSetSource(CY_SYSCLK_PUMP_IN_CLKPATH0);
	Cy_SysClk_ClkPumpSetDivider(CY_SYSCLK_PUMP_DIV_4);
	Cy_SysClk_ClkPumpEnable();
	Cy_SysClk_ClkBakSetSource(CY_SYSCLK_BAK_IN_CLKLF);
	Cy_SysTick_SetClockSource(CY_SYSTICK_CLOCK_SOURCE_CLK_LF);
	Cy_SysClk_IloEnable();
	Cy_SysClk_IloHibernateOn(1u);

	/* Set memory wait states based on 145 MHz HFClk[0] */
	Cy_SysLib_SetWaitStates(false, 145);

	/* Configure peripheral clock dividers */
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS0, CY_SYSCLK_DIV_8_BIT, 2u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 2u, 0u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 2u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS1, CY_SYSCLK_DIV_8_BIT, 3u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 3u, 0u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 3u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS2, CY_SYSCLK_DIV_8_BIT, 1u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 1u, 0u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 1u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS3, CY_SYSCLK_DIV_8_BIT, 1u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS4, CY_SYSCLK_DIV_8_BIT, 3u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS5, CY_SYSCLK_DIV_8_BIT, 4u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 4u, 0u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 4u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS6, CY_SYSCLK_DIV_8_BIT, 2u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS7, CY_SYSCLK_DIV_8_BIT, 4u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS0, CY_SYSCLK_DIV_8_BIT, 3u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS1, CY_SYSCLK_DIV_8_BIT, 2u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS2, CY_SYSCLK_DIV_8_BIT, 1u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS3, CY_SYSCLK_DIV_8_BIT, 4u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS4, CY_SYSCLK_DIV_16_BIT, 2u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_16_BIT, 2u, 71u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_16_BIT, 2u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS5, CY_SYSCLK_DIV_8_BIT, 7u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 7u, 71u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 7u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS6, CY_SYSCLK_DIV_16_BIT, 0u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_16_BIT, 0u, 71u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_16_BIT, 0u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS7, CY_SYSCLK_DIV_16_BIT, 1u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_16_BIT, 1u, 71u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_16_BIT, 1u);
	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM1_CLOCKS8, CY_SYSCLK_DIV_8_BIT, 6u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 6u, 71u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 6u);
	Cy_SysClk_PeriphAssignDivider(PCLK_CSD_CLOCK, CY_SYSCLK_DIV_8_BIT, 0u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 0u, 254u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 0u);
	Cy_SysClk_PeriphAssignDivider(PCLK_PASS_CLOCK_SAR, CY_SYSCLK_DIV_8_BIT, 5u);
	Cy_SysClk_PeriphSetDivider(CY_SYSCLK_DIV_8_BIT, 5u, 71u);
	Cy_SysClk_PeriphEnableDivider(CY_SYSCLK_DIV_8_BIT, 5u);
}


/* Analog API Functions */


/*******************************************************************************
* Function Name: AnalogSetDefault
********************************************************************************
*
* Summary:
*  Sets up the analog portions of the chip to default values based on chip
*  configuration options from the project.
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
static void AnalogSetDefault(void);
static void AnalogSetDefault(void)
{
	CY_SET_REG32(CYREG_HSIOM_AMUX_SPLIT_CTL5, 0x00000030u);
	CY_SET_REG32(CYREG_CSD0_SW_REFGEN_SEL, 0x00000010u);
	CY_SET_REG32(CYREG_CTBM0_CTB_CTRL, 0x80000000u);
	CY_SET_REG32(CYREG_CTBM0_OA0_SW, 0x00000100u);
	CY_SET_REG32(CYREG_CTBM0_OA1_SW, 0x00204080u);
	CY_SET_REG32(CYREG_CTBM0_CTD_SW, 0x00002200u);
	CY_SET_REG32(CYREG_SAR_CTRL, 0x80000000u);
	CY_SET_REG32(CYREG_SAR_MUX_SWITCH0, 0x0001AA55u);
	CY_SET_REG32(CYREG_SAR_MUX_SWITCH_SQ_CTRL, 0x000100FFu);
	CY_SET_REG32(CYREG_PASS_AREF_AREF_CTRL, 0x80110001u);
}



/*******************************************************************************
* Function Name: Cy_SystemInit
********************************************************************************
* Summary:
*  This function is called by the start-up code for the selected device. It
*  performs all of the necessary device configuration based on the design
*  settings.  This includes settings from the Design Wide Resources (DWR) such
*  as Clocks and Pins as well as any component configuration that is necessary.
*
* Parameters:
*   void
*
* Return:
*   void
*
*******************************************************************************/

void Cy_SystemInit(void)
{
	/* Set worst case memory wait states (150 MHz), ClockInit() will update */
	Cy_SysLib_SetWaitStates(false, 150);

	if(0u == Cy_SysLib_GetResetReason()) /* POR, XRES, or BOD */
	{
		Cy_SysLib_ResetBackupDomain();
		Cy_SysClk_IloDisable();
		Cy_SysClk_IloEnable();
	}

	/* Power Mode */
	Cy_SysPm_LdoSetVoltage(CY_SYSPM_LDO_VOLTAGE_1_1V);

	/* PMIC Control */
	Cy_SysPm_UnlockPmic();
	Cy_SysPm_DisablePmicOutput();

	/* Perform Trigger Mux configuration */
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM0_TR_OVERFLOW7, TRIG11_OUT_TR_GROUP0_INPUT16, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP11_OUTPUT7, TRIG2_OUT_TCPWM0_TR_IN13, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM0_TR_OVERFLOW4, TRIG11_OUT_TR_GROUP0_INPUT17, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP11_OUTPUT8, TRIG2_OUT_TCPWM0_TR_IN1, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM0_TR_OVERFLOW2, TRIG11_OUT_TR_GROUP0_INPUT23, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP11_OUTPUT14, TRIG2_OUT_TCPWM0_TR_IN12, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM0_TR_OVERFLOW6, TRIG11_OUT_TR_GROUP0_INPUT22, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP11_OUTPUT13, TRIG2_OUT_TCPWM0_TR_IN11, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM1_TR_OVERFLOW6, TRIG11_OUT_TR_GROUP0_INPUT21, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP11_OUTPUT12, TRIG0_OUT_CPUSS_DW0_TR_IN2, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG3_IN_TR_GROUP11_OUTPUT12, TRIG3_OUT_TCPWM1_TR_IN13, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM1_TR_OVERFLOW4, TRIG11_OUT_TR_GROUP0_INPUT9, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP11_OUTPUT0, TRIG0_OUT_CPUSS_DW0_TR_IN1, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG3_IN_TR_GROUP11_OUTPUT0, TRIG3_OUT_TCPWM1_TR_IN1, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG14_IN_PASS_DSI_CTB_CMP0, TRIG14_OUT_TR_GROUP2_INPUT41, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG3_IN_TR_GROUP14_OUTPUT14, TRIG3_OUT_TCPWM1_TR_IN12, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_PASS_DSI_CTB_CMP0__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM1_TR_OVERFLOW5, TRIG11_OUT_TR_GROUP0_INPUT18, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG3_IN_TR_GROUP11_OUTPUT9, TRIG3_OUT_TCPWM1_TR_IN11, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM1_TR_OVERFLOW8, TRIG11_OUT_TR_GROUP0_INPUT24, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG3_IN_TR_GROUP11_OUTPUT15, TRIG3_OUT_TCPWM1_TR_IN10, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG11_IN_TCPWM1_TR_OVERFLOW7, TRIG11_OUT_TR_GROUP0_INPUT19, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP11_OUTPUT10, TRIG0_OUT_CPUSS_DW0_TR_IN0, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_TCPWM_TR_OVERFLOW);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB6, TRIG14_OUT_TR_GROUP0_INPUT49, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP14_OUTPUT6, TRIG0_OUT_CPUSS_DW0_TR_IN5, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB3, TRIG14_OUT_TR_GROUP0_INPUT48, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP14_OUTPUT5, TRIG0_OUT_CPUSS_DW0_TR_IN4, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB10, TRIG14_OUT_TR_GROUP0_INPUT47, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP14_OUTPUT4, TRIG0_OUT_CPUSS_DW0_TR_IN6, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB5, TRIG14_OUT_TR_GROUP0_INPUT46, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG0_IN_TR_GROUP14_OUTPUT3, TRIG0_OUT_CPUSS_DW0_TR_IN3, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB11, TRIG14_OUT_TR_GROUP2_INPUT40, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP14_OUTPUT13, TRIG2_OUT_TCPWM0_TR_IN10, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB9, TRIG14_OUT_TR_GROUP2_INPUT39, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP14_OUTPUT12, TRIG2_OUT_TCPWM0_TR_IN9, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB0, TRIG14_OUT_TR_GROUP2_INPUT38, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP14_OUTPUT11, TRIG2_OUT_TCPWM0_TR_IN8, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);
	(void)Cy_TrigMux_Connect(TRIG14_IN_UDB_TR_UDB7, TRIG14_OUT_TR_GROUP2_INPUT37, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_LEVEL);
	(void)Cy_TrigMux_Connect(TRIG2_IN_TR_GROUP14_OUTPUT10, TRIG2_OUT_TCPWM0_TR_IN3, CY_TR_MUX_TR_INV_DISABLE, TRIGGER_TYPE_UDB_TR_UDB__LEVEL);

	/* Clock */
	ClockInit();
	{
		static const uint32 CYCODE cy_cfg_addr_table[] = {
			0x40340101u, /* Base address: 0x40340100 Count: 1 */
			0x40340404u, /* Base address: 0x40340400 Count: 4 */
			0x4034203Bu, /* Base address: 0x40342000 Count: 59 */
			0x40342448u, /* Base address: 0x40342400 Count: 72 */
			0x40342642u, /* Base address: 0x40342600 Count: 66 */
			0x40342852u, /* Base address: 0x40342800 Count: 82 */
			0x40342A60u, /* Base address: 0x40342A00 Count: 96 */
			0x40347006u, /* Base address: 0x40347000 Count: 6 */
			0x40347105u, /* Base address: 0x40347100 Count: 5 */
			0x40347201u, /* Base address: 0x40347200 Count: 1 */
			0x40347804u, /* Base address: 0x40347800 Count: 4 */
		};

		static const cy_cfg_addrvalue_t CYCODE cy_cfg_data_table[] = {
			{0x2Du, 0x04u},
			{0x14u, 0x02u},
			{0x24u, 0x02u},
			{0x28u, 0x02u},
			{0x2Cu, 0x02u},
			{0x04u, 0x04u},
			{0x09u, 0x01u},
			{0x0Fu, 0x01u},
			{0x11u, 0x02u},
			{0x12u, 0x04u},
			{0x18u, 0x02u},
			{0x20u, 0x04u},
			{0x2Au, 0x01u},
			{0x2Cu, 0x01u},
			{0x30u, 0x01u},
			{0x34u, 0x02u},
			{0x35u, 0x02u},
			{0x36u, 0x04u},
			{0x37u, 0x01u},
			{0x3Eu, 0x51u},
			{0x3Fu, 0x50u},
			{0x40u, 0x34u},
			{0x41u, 0x05u},
			{0x49u, 0xFFu},
			{0x4Au, 0xFFu},
			{0x4Bu, 0xFFu},
			{0x4Fu, 0x80u},
			{0x57u, 0x01u},
			{0x5Cu, 0x04u},
			{0x5Du, 0x04u},
			{0x5Eu, 0x04u},
			{0x5Fu, 0x04u},
			{0x61u, 0x09u},
			{0x63u, 0x01u},
			{0x66u, 0xA0u},
			{0x88u, 0x10u},
			{0x94u, 0x06u},
			{0x96u, 0x09u},
			{0xA0u, 0x05u},
			{0xA1u, 0x02u},
			{0xA2u, 0x0Au},
			{0xADu, 0x01u},
			{0xB0u, 0x0Cu},
			{0xB1u, 0x02u},
			{0xB2u, 0x01u},
			{0xB3u, 0x01u},
			{0xB4u, 0x10u},
			{0xB6u, 0x02u},
			{0xBEu, 0x55u},
			{0xBFu, 0x05u},
			{0xC0u, 0x63u},
			{0xC1u, 0x04u},
			{0xC9u, 0xFFu},
			{0xCAu, 0xFFu},
			{0xCBu, 0xFFu},
			{0xCFu, 0x80u},
			{0xD7u, 0x01u},
			{0xDCu, 0x04u},
			{0xDDu, 0x04u},
			{0xDEu, 0x04u},
			{0xDFu, 0x04u},
			{0xE1u, 0x09u},
			{0xE3u, 0x01u},
			{0xE6u, 0xA0u},
			{0x00u, 0x28u},
			{0x02u, 0x14u},
			{0x04u, 0x01u},
			{0x06u, 0x36u},
			{0x07u, 0x12u},
			{0x11u, 0x20u},
			{0x12u, 0x06u},
			{0x17u, 0x20u},
			{0x19u, 0x02u},
			{0x1Bu, 0x0Du},
			{0x1Du, 0x08u},
			{0x1Eu, 0x09u},
			{0x1Fu, 0x11u},
			{0x23u, 0x0Cu},
			{0x24u, 0x18u},
			{0x26u, 0x22u},
			{0x29u, 0x10u},
			{0x2Bu, 0x05u},
			{0x2Cu, 0x40u},
			{0x30u, 0x10u},
			{0x31u, 0x01u},
			{0x32u, 0x40u},
			{0x33u, 0x1Eu},
			{0x34u, 0x20u},
			{0x35u, 0x20u},
			{0x36u, 0x0Fu},
			{0x3Eu, 0x15u},
			{0x3Fu, 0x11u},
			{0x40u, 0x64u},
			{0x41u, 0x05u},
			{0x49u, 0xFFu},
			{0x4Au, 0xFFu},
			{0x4Bu, 0xFFu},
			{0x4Fu, 0x80u},
			{0x57u, 0x01u},
			{0x5Cu, 0x04u},
			{0x5Du, 0x04u},
			{0x5Eu, 0x04u},
			{0x5Fu, 0x04u},
			{0x60u, 0x99u},
			{0x61u, 0x09u},
			{0x63u, 0x01u},
			{0x66u, 0xA0u},
			{0x88u, 0x10u},
			{0x98u, 0x02u},
			{0x9Au, 0x04u},
			{0x9Cu, 0x08u},
			{0xA0u, 0x01u},
			{0xACu, 0x02u},
			{0xAEu, 0x04u},
			{0xB0u, 0x06u},
			{0xB2u, 0x10u},
			{0xB4u, 0x08u},
			{0xB6u, 0x01u},
			{0xBEu, 0x55u},
			{0xC0u, 0x35u},
			{0xC5u, 0x03u},
			{0xC7u, 0x60u},
			{0xC8u, 0x21u},
			{0xC9u, 0xFFu},
			{0xCAu, 0xFFu},
			{0xCBu, 0xFFu},
			{0xCDu, 0x20u},
			{0xCEu, 0xF0u},
			{0xD1u, 0x10u},
			{0xD6u, 0x03u},
			{0xD7u, 0x04u},
			{0xDCu, 0x04u},
			{0xDEu, 0x04u},
			{0xDFu, 0x04u},
			{0xE1u, 0x99u},
			{0xE3u, 0x01u},
			{0x01u, 0x48u},
			{0x03u, 0x30u},
			{0x05u, 0x07u},
			{0x07u, 0x78u},
			{0x0Bu, 0x7Fu},
			{0x0Du, 0x78u},
			{0x11u, 0x7Fu},
			{0x17u, 0x78u},
			{0x19u, 0x01u},
			{0x1Bu, 0x02u},
			{0x1Cu, 0x01u},
			{0x1Du, 0x78u},
			{0x1Fu, 0x07u},
			{0x20u, 0x02u},
			{0x21u, 0x29u},
			{0x23u, 0x52u},
			{0x24u, 0x02u},
			{0x25u, 0x07u},
			{0x2Bu, 0x07u},
			{0x2Fu, 0x7Fu},
			{0x31u, 0x60u},
			{0x32u, 0x02u},
			{0x33u, 0x03u},
			{0x35u, 0x18u},
			{0x36u, 0x01u},
			{0x37u, 0x04u},
			{0x38u, 0x08u},
			{0x3Eu, 0x44u},
			{0x3Fu, 0x55u},
			{0x40u, 0x16u},
			{0x41u, 0x03u},
			{0x49u, 0xFFu},
			{0x4Au, 0xFFu},
			{0x4Bu, 0xFFu},
			{0x4Fu, 0x80u},
			{0x57u, 0x01u},
			{0x5Cu, 0x04u},
			{0x5Du, 0x04u},
			{0x5Eu, 0x04u},
			{0x5Fu, 0x04u},
			{0x61u, 0x09u},
			{0x63u, 0x01u},
			{0x66u, 0xA0u},
			{0x80u, 0x06u},
			{0x82u, 0x09u},
			{0x84u, 0x40u},
			{0x86u, 0x20u},
			{0x8Au, 0x7Fu},
			{0x8Cu, 0x7Fu},
			{0x90u, 0x1Fu},
			{0x92u, 0x60u},
			{0x94u, 0x1Fu},
			{0x98u, 0x60u},
			{0x9Eu, 0x1Fu},
			{0xA0u, 0x25u},
			{0xA2u, 0x4Au},
			{0xA4u, 0x7Fu},
			{0xAAu, 0x60u},
			{0xAEu, 0x7Fu},
			{0xB0u, 0x03u},
			{0xB2u, 0x10u},
			{0xB4u, 0x0Cu},
			{0xB6u, 0x60u},
			{0xBEu, 0x55u},
			{0xDCu, 0x04u},
			{0xE3u, 0x01u},
			{0x00u, 0x08u},
			{0x04u, 0x08u},
			{0x08u, 0x02u},
			{0x10u, 0x01u},
			{0x14u, 0x02u},
			{0x20u, 0x04u},
			{0x25u, 0x01u},
			{0x2Cu, 0x01u},
			{0x30u, 0x08u},
			{0x32u, 0x04u},
			{0x33u, 0x01u},
			{0x34u, 0x02u},
			{0x36u, 0x01u},
			{0x38u, 0xA2u},
			{0x3Eu, 0x55u},
			{0x3Fu, 0x04u},
			{0x40u, 0x24u},
			{0x46u, 0x03u},
			{0x47u, 0x60u},
			{0x48u, 0x24u},
			{0x49u, 0xFFu},
			{0x4Au, 0xFFu},
			{0x4Bu, 0xFFu},
			{0x4Du, 0x20u},
			{0x4Eu, 0xF0u},
			{0x51u, 0x10u},
			{0x5Cu, 0x04u},
			{0x5Du, 0x04u},
			{0x5Eu, 0x04u},
			{0x5Fu, 0x04u},
			{0x61u, 0x09u},
			{0x63u, 0x01u},
			{0x85u, 0x10u},
			{0x87u, 0x40u},
			{0x88u, 0xA4u},
			{0x8Au, 0x19u},
			{0x8Bu, 0x30u},
			{0x8Cu, 0x48u},
			{0x8Du, 0x07u},
			{0x90u, 0x13u},
			{0x92u, 0x64u},
			{0x93u, 0x01u},
			{0x97u, 0x04u},
			{0x9Bu, 0x48u},
			{0x9Cu, 0x12u},
			{0x9Eu, 0x84u},
			{0xA0u, 0x69u},
			{0xA1u, 0x40u},
			{0xA2u, 0x96u},
			{0xA3u, 0x20u},
			{0xA5u, 0x05u},
			{0xA7u, 0x02u},
			{0xA9u, 0x05u},
			{0xABu, 0x02u},
			{0xADu, 0x08u},
			{0xAFu, 0x30u},
			{0xB0u, 0xF0u},
			{0xB1u, 0x03u},
			{0xB2u, 0x0Fu},
			{0xB3u, 0x78u},
			{0xB4u, 0xF0u},
			{0xB7u, 0x06u},
			{0xBBu, 0xC2u},
			{0xC0u, 0x46u},
			{0xC6u, 0x60u},
			{0xC7u, 0x30u},
			{0xC8u, 0x28u},
			{0xC9u, 0xFFu},
			{0xCAu, 0xFFu},
			{0xCBu, 0xFFu},
			{0xCDu, 0x20u},
			{0xCEu, 0xF0u},
			{0xD1u, 0x10u},
			{0xD6u, 0x03u},
			{0xD7u, 0x04u},
			{0xDCu, 0x04u},
			{0xDDu, 0x04u},
			{0xDEu, 0x04u},
			{0xDFu, 0x04u},
			{0xE0u, 0x99u},
			{0xE1u, 0x99u},
			{0xE3u, 0x01u},
			{0x02u, 0x1Fu},
			{0x03u, 0x09u},
			{0x06u, 0x3Fu},
			{0x0Au, 0x3Fu},
			{0x0Cu, 0x06u},
			{0x0Eu, 0x09u},
			{0x10u, 0x3Fu},
			{0x11u, 0x04u},
			{0x13u, 0x08u},
			{0x15u, 0x02u},
			{0x17u, 0x08u},
			{0x1Au, 0x20u},
			{0x1Cu, 0x05u},
			{0x1Eu, 0x0Au},
			{0x20u, 0x1Fu},
			{0x23u, 0x06u},
			{0x24u, 0x20u},
			{0x2Au, 0x3Fu},
			{0x2Cu, 0x20u},
			{0x2Du, 0x01u},
			{0x2Eu, 0x1Fu},
			{0x2Fu, 0x06u},
			{0x30u, 0x03u},
			{0x32u, 0x10u},
			{0x34u, 0x0Cu},
			{0x36u, 0x20u},
			{0x37u, 0x0Fu},
			{0x3Eu, 0x55u},
			{0x40u, 0x63u},
			{0x45u, 0x60u},
			{0x47u, 0x30u},
			{0x48u, 0x22u},
			{0x49u, 0xFFu},
			{0x4Au, 0xFFu},
			{0x4Bu, 0xFFu},
			{0x4Du, 0x20u},
			{0x4Eu, 0xF0u},
			{0x51u, 0x10u},
			{0x56u, 0x03u},
			{0x57u, 0x04u},
			{0x5Cu, 0x04u},
			{0x5Du, 0x04u},
			{0x5Eu, 0x04u},
			{0x5Fu, 0x04u},
			{0x60u, 0x90u},
			{0x61u, 0x99u},
			{0x63u, 0x01u},
			{0x80u, 0x02u},
			{0x82u, 0x05u},
			{0x8Au, 0x08u},
			{0x91u, 0x02u},
			{0x93u, 0x05u},
			{0x99u, 0x03u},
			{0x9Bu, 0x04u},
			{0xA8u, 0x03u},
			{0xAAu, 0x04u},
			{0xACu, 0x08u},
			{0xB0u, 0x06u},
			{0xB1u, 0x01u},
			{0xB2u, 0x08u},
			{0xB6u, 0x01u},
			{0xB7u, 0x06u},
			{0xBEu, 0x45u},
			{0xBFu, 0x41u},
			{0xC0u, 0x35u},
			{0xC1u, 0x02u},
			{0xC5u, 0x0Cu},
			{0xC6u, 0x0Bu},
			{0xC8u, 0x05u},
			{0xC9u, 0xFFu},
			{0xCAu, 0xFFu},
			{0xCBu, 0xFFu},
			{0xCDu, 0x24u},
			{0xCEu, 0xF0u},
			{0xD1u, 0x10u},
			{0xD6u, 0x03u},
			{0xD7u, 0x04u},
			{0xDCu, 0x04u},
			{0xDDu, 0x04u},
			{0xDEu, 0x04u},
			{0xDFu, 0x04u},
			{0xE1u, 0x99u},
			{0xE3u, 0x01u},
			{0xE5u, 0x10u},
			{0xE6u, 0xF0u},
			{0xE7u, 0x10u},
			{0xE8u, 0x40u},
			{0xE9u, 0x80u},
			{0xEAu, 0x14u},
			{0xEBu, 0x94u},
			{0xECu, 0x40u},
			{0xEDu, 0x60u},
			{0xEEu, 0x54u},
			{0xEFu, 0x74u},
			{0xF1u, 0x10u},
			{0xF3u, 0x10u},
			{0x28u, 0xB1u},
			{0x2Cu, 0xA4u},
			{0x68u, 0x36u},
			{0x6Cu, 0x5Cu},
			{0xE8u, 0x78u},
			{0xECu, 0xB1u},
			{0x28u, 0xD8u},
			{0x2Cu, 0x53u},
			{0x68u, 0x9Cu},
			{0x6Cu, 0x4Eu},
			{0xE8u, 0xC0u},
			{0xECu, 0x2Du},
			{0x04u, 0x01u},
			{0x11u, 0x01u},
			{0x15u, 0x01u},
			{0x19u, 0x01u},
		};



		CYPACKED typedef struct {
			void *address;
			uint16 size;
		} CYPACKED_ATTR cfg_memset_t;


		CYPACKED typedef struct {
			void *dest;
			const void *src;
			size_t size;
		} CYPACKED_ATTR cfg_memcpy_t;

		static const cfg_memset_t CYCODE cfg_memset_list[] = {
			/* address, size */
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR0_UDBSNG0_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR0_UDBSNG1_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR1_UDBSNG0_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR1_UDBSNG1_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR2_UDBSNG0_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR2_UDBSNG1_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR3_UDBSNG0_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR3_UDBSNG1_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR4_UDBSNG0_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR4_UDBSNG1_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR5_UDBSNG0_BASE), 116u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR5_UDBSNG1_BASE), 116u},
		};

		/* UDB_UDBPAIR0_ROUTE Address: CYDEV_UDB_UDBPAIR0_ROUTE_BASE Size (bytes): 144 */
		static const uint8 CYCODE BS_UDB_UDBPAIR0_ROUTE_VAL[] = {
			0x40u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x20u, 0x00u, 0x00u, 0x00u, 0x00u, 0x4Fu, 0xFFu, 0xF4u, 0xF4u, 
			0xF5u, 0x12u, 0xFFu, 0xFFu, 0xFFu, 0x2Fu, 0x23u, 0xFFu, 0xFFu, 0x04u, 0xF0u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x00u, 0x00u, 0x00u, 0xFFu, 0xF5u, 0x5Fu, 0xFFu, 0xF6u, 0xFFu, 0xF5u, 0x3Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x46u, 0x7Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x06u, 0x05u, 0x00u, 0x00u, 0x00u, 0x30u, 0xF6u, 0xF2u, 0x4Fu, 
			0x4Fu, 0x55u, 0xF1u, 0x72u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0x14u, 0x2Du, 0x91u, 0x11u, 0x12u, 0x11u, 0xD1u, 0x12u, 0x96u, 0x1Du, 0x11u, 0x11u, 0x01u, 0xE3u, 0x3Cu, 0x01u, 
			0x17u, 0x51u, 0x19u, 0x71u, 0x41u, 0x11u, 0x70u, 0x11u, 0xDAu, 0x17u, 0x1Bu, 0x1Cu, 0x21u, 0x1Cu, 0x00u, 0x17u, 
			0x1Cu, 0xD0u, 0x30u, 0x0Bu, 0xB1u, 0x11u, 0x2Cu, 0xE1u, 0x11u, 0x11u, 0x11u, 0x10u, 0xDBu, 0x11u, 0x11u, 0x11u};

		/* UDB_UDBPAIR1_ROUTE Address: CYDEV_UDB_UDBPAIR1_ROUTE_BASE Size (bytes): 144 */
		static const uint8 CYCODE BS_UDB_UDBPAIR1_ROUTE_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x50u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0xFFu, 0x2Fu, 0xFFu, 0x1Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x00u, 0x00u, 0x00u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xF0u, 0xFFu, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x0Au, 0x00u, 
			0x0Au, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x0Fu, 0x3Fu, 
			0xF4u, 0x0Fu, 0xF3u, 0xF2u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0x1Du, 0x11u, 0x11u, 0x1Du, 0x1Fu, 0x11u, 0xF1u, 0x10u, 0xFFu, 0x1Du, 0x10u, 0x11u, 0x01u, 0xFDu, 0x11u, 0x0Du, 
			0x11u, 0xF1u, 0xD1u, 0xF1u, 0xF1u, 0x0Du, 0xF0u, 0x11u, 0xFFu, 0x1Fu, 0x11u, 0x11u, 0x01u, 0x11u, 0x0Du, 0x41u, 
			0x1Du, 0x10u, 0x10u, 0x0Du, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x41u, 0x11u, 0x1Du, 0xF1u, 0x11u, 0x14u, 0x11u};

		/* UDB_UDBPAIR2_ROUTE Address: CYDEV_UDB_UDBPAIR2_ROUTE_BASE Size (bytes): 144 */
		static const uint8 CYCODE BS_UDB_UDBPAIR2_ROUTE_VAL[] = {
			0x04u, 0x00u, 0x00u, 0x00u, 0x04u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x65u, 0xFFu, 0xF3u, 0x5Fu, 
			0x4Fu, 0x1Fu, 0x4Fu, 0x5Fu, 0x64u, 0x61u, 0xFFu, 0xF3u, 0xFFu, 0x5Fu, 0x76u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x00u, 0x00u, 0x00u, 0xFFu, 0xF2u, 0xF4u, 0x52u, 0xF2u, 0x3Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0xF1u, 0xF0u, 0x50u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xF3u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x15u, 0x6Fu, 0xF3u, 0x1Fu, 
			0x52u, 0x00u, 0xF7u, 0xF4u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0x2Fu, 0x07u, 0xB1u, 0x1Fu, 0x83u, 0x9Du, 0xF1u, 0x10u, 0x9Fu, 0xB0u, 0x13u, 0x11u, 0x09u, 0xFFu, 0x01u, 0x0Fu, 
			0x3Du, 0x13u, 0x09u, 0xF1u, 0x11u, 0x0Fu, 0xF0u, 0xC1u, 0xFFu, 0x2Fu, 0x19u, 0xD4u, 0x21u, 0x1Bu, 0x04u, 0xF0u, 
			0x8Fu, 0x1Du, 0x02u, 0x5Fu, 0xA1u, 0x11u, 0x21u, 0x11u, 0x11u, 0xF1u, 0xD1u, 0x81u, 0xF1u, 0x1Du, 0x2Fu, 0x11u};

		/* UDB_UDBPAIR3_ROUTE Address: CYDEV_UDB_UDBPAIR3_ROUTE_BASE Size (bytes): 144 */
		static const uint8 CYCODE BS_UDB_UDBPAIR3_ROUTE_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x54u, 0x60u, 0x15u, 0x50u, 
			0x40u, 0x50u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x3Fu, 0x4Fu, 0xFFu, 0x4Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0x3Fu, 0x00u, 0x00u, 0x00u, 0xFFu, 0xFFu, 0x2Fu, 0x42u, 0x23u, 0xFFu, 0x06u, 0x00u, 0x55u, 0x64u, 0x07u, 0x54u, 
			0x21u, 0xF5u, 0x5Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x76u, 0xFFu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x07u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x0Fu, 0xABu, 0x2Fu, 0x11u, 0xCFu, 0xF0u, 0x10u, 0xACu, 0x06u, 0x18u, 0xA5u, 0xC5u, 0xFFu, 0x01u, 0x2Fu, 
			0xFFu, 0x31u, 0xCFu, 0x07u, 0x83u, 0x0Fu, 0x13u, 0x13u, 0xFFu, 0xF4u, 0xC0u, 0xF2u, 0x10u, 0x0Fu, 0x61u, 0x13u, 
			0xFFu, 0x03u, 0x01u, 0xFFu, 0x01u, 0x01u, 0x11u, 0x11u, 0x11u, 0xF1u, 0x11u, 0x11u, 0xF5u, 0x11u, 0x1Fu, 0x31u};

		/* UDB_UDBPAIR4_ROUTE Address: CYDEV_UDB_UDBPAIR4_ROUTE_BASE Size (bytes): 144 */
		static const uint8 CYCODE BS_UDB_UDBPAIR4_ROUTE_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xF4u, 0x22u, 0xFFu, 
			0xF1u, 0x2Fu, 0xFFu, 0xF5u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x7Fu, 0x7Fu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x00u, 0x00u, 0x00u, 0xFFu, 0x10u, 0xF5u, 0x2Fu, 0xF6u, 0xFFu, 0x40u, 0x64u, 0x6Fu, 0x72u, 0x53u, 0xF1u, 
			0xFFu, 0x5Fu, 0x4Fu, 0x73u, 0xFFu, 0xFFu, 0xFFu, 0x6Fu, 0x4Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x01u, 0x72u, 0x60u, 0x21u, 
			0x0Fu, 0x00u, 0x00u, 0x01u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x2Fu, 0xFCu, 0x1Fu, 0x17u, 0xF1u, 0x14u, 0x10u, 0xFFu, 0x20u, 0x3Fu, 0xFFu, 0xAFu, 0x2Fu, 0x90u, 0x01u, 
			0x1Fu, 0xF1u, 0x1Fu, 0x71u, 0xFFu, 0x0Fu, 0x03u, 0x1Fu, 0x11u, 0x1Fu, 0x19u, 0xF4u, 0x23u, 0xCFu, 0x14u, 0x11u, 
			0x19u, 0x81u, 0x72u, 0x1Fu, 0x41u, 0x21u, 0x21u, 0x11u, 0xD1u, 0x21u, 0x44u, 0x11u, 0xFFu, 0x11u, 0x81u, 0x11u};

		/* UDB_UDBPAIR5_ROUTE Address: CYDEV_UDB_UDBPAIR5_ROUTE_BASE Size (bytes): 144 */
		static const uint8 CYCODE BS_UDB_UDBPAIR5_ROUTE_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xF1u, 0xF4u, 0xFFu, 0xFFu, 
			0xFFu, 0x12u, 0xFFu, 0xFFu, 0x3Fu, 0x1Fu, 0xFFu, 0xFFu, 0x4Fu, 0xF0u, 0xF4u, 0x31u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xFFu, 0x00u, 0x00u, 0x00u, 0x00u, 0x40u, 0xF2u, 0x25u, 0x12u, 0x13u, 0xF0u, 0x1Fu, 0x2Fu, 0x11u, 0xFFu, 0x0Fu, 
			0x3Fu, 0xF3u, 0x5Fu, 0x54u, 0xF4u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x11u, 0x00u, 0x00u, 0x20u, 
			0x00u, 0x03u, 0x00u, 0x00u, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 
			0xF6u, 0x2Fu, 0xFFu, 0x1Au, 0x11u, 0x12u, 0x1Fu, 0x12u, 0x1Fu, 0x1Bu, 0x23u, 0x6Fu, 0x1Fu, 0xF1u, 0x1Bu, 0x71u, 
			0x11u, 0xF3u, 0x3Fu, 0xF1u, 0xFFu, 0x31u, 0x61u, 0x41u, 0x91u, 0x1Fu, 0x11u, 0x7Fu, 0x1Fu, 0xF1u, 0x11u, 0x14u, 
			0x11u, 0x14u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI0 Address: CYDEV_UDB_DSI0_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI0_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x08u, 0x0Au, 0x10u, 0x16u, 0x08u, 0x05u, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x0Au, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x0Cu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x0Fu, 0x3Fu, 0x10u, 0xF0u, 0xF3u, 0x0Fu, 0x3Fu, 0xFFu, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xEFu, 0xF7u, 0xD1u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0xD1u, 0xD1u, 0xD1u, 0x11u, 0x11u, 0x13u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Fu, 0x1Du, 
			0x51u, 0xD1u, 0x11u, 0x1Fu, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Du, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Du, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI1 Address: CYDEV_UDB_DSI1_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI1_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x0Au, 0x09u, 0x0Eu, 0x16u, 0x12u, 0x1Fu, 0x1Fu, 0x0Au, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x1Fu, 0x00u, 0x1Fu, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x05u, 0x04u, 0xF1u, 0x00u, 0x10u, 0x06u, 0x4Fu, 0x0Fu, 
			0xFFu, 0xFFu, 0xFFu, 0xFDu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0xF2u, 0xD4u, 0x1Du, 0x0Fu, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0xF1u, 0xE1u, 0x11u, 0x11u, 0x1Fu, 0xD1u, 
			0x11u, 0x01u, 0x11u, 0x13u, 0xF1u, 0x31u, 0x11u, 0x11u, 0x11u, 0x41u, 0x15u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x14u, 0x11u, 0x11u, 0x11u, 0x10u, 0x11u, 0x11u, 0x01u, 0x11u, 0x11u};

		/* UDB_DSI2 Address: CYDEV_UDB_DSI2_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI2_VAL[] = {
			0x20u, 0x20u, 0x00u, 0x01u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x03u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xFFu, 0x00u, 0x3Fu, 0xF0u, 0xFFu, 0xF0u, 0x4Fu, 0x0Fu, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x16u, 0xF1u, 0x11u, 0x11u, 
			0x11u, 0xF1u, 0x01u, 0x10u, 0xD4u, 0xDDu, 0xD1u, 0x11u, 0x01u, 0x11u, 0xF1u, 0xD1u, 0x11u, 0x11u, 0x1Fu, 0xD1u, 
			0xD4u, 0xD1u, 0x11u, 0x13u, 0x51u, 0x11u, 0x11u, 0x11u, 0x11u, 0x41u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x1Du, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI3 Address: CYDEV_UDB_DSI3_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI3_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x08u, 0x12u, 0x0Du, 0x0Au, 0x0Fu, 0x1Fu, 0x0Au, 
			0x02u, 0x10u, 0x0Au, 0x0Du, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x0Fu, 0x00u, 0x00u, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0xF1u, 0x11u, 0x11u, 
			0x11u, 0x21u, 0x01u, 0xF0u, 0x01u, 0x00u, 0x01u, 0x11u, 0x01u, 0x11u, 0x31u, 0x01u, 0x11u, 0x11u, 0xD3u, 0x01u, 
			0x01u, 0x0Fu, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Fu, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Fu, 0x11u, 
			0x11u, 0x11u, 0x10u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI4 Address: CYDEV_UDB_DSI4_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI4_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x0Cu, 0x09u, 0x10u, 0x08u, 0x10u, 0x1Fu, 0x1Fu, 0x0Cu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x0Fu, 0xFFu, 0xF0u, 0xFFu, 0x02u, 0x00u, 0x00u, 0xFFu, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x1Du, 0x21u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x01u, 0xDDu, 0x01u, 0x00u, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Fu, 0x11u, 0x11u, 0x11u, 0x11u, 0x01u, 
			0x06u, 0x1Du, 0x11u, 0x11u, 0x11u, 0x11u, 0x1Du, 0xD1u, 0x11u, 0x11u, 0xD1u, 0x11u, 0x11u, 0x11u, 0x1Du, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI5 Address: CYDEV_UDB_DSI5_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI5_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x0Au, 0x08u, 0x02u, 0x13u, 0x01u, 0x1Fu, 0x03u, 0x04u, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xF0u, 0x00u, 0x00u, 0xF0u, 0x00u, 0x0Fu, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x1Du, 0x11u, 0x10u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0xD1u, 0x15u, 0x11u, 0x11u, 0x11u, 0x11u, 0x01u, 
			0x00u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0xD1u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI6 Address: CYDEV_UDB_DSI6_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI6_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x01u, 0x0Fu, 0x0Bu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xF0u, 0x00u, 0x0Fu, 0x01u, 0x00u, 0xF0u, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x1Du, 0x11u, 0x10u, 0x11u, 0x1Du, 0x11u, 0x11u, 0x1Du, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0xE1u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI7 Address: CYDEV_UDB_DSI7_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI7_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x0Au, 0x1Fu, 0x1Fu, 0x09u, 
			0x1Fu, 0x00u, 0x02u, 0x0Cu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x10u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xF0u, 0xF0u, 0x00u, 0xF0u, 0x0Fu, 0x00u, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xD1u, 0x1Du, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x1Fu, 0x11u, 0x13u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x01u, 0x11u, 0x1Du, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0xD1u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI8 Address: CYDEV_UDB_DSI8_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI8_VAL[] = {
			0x01u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0xF6u, 0x00u, 0x00u, 0x00u, 0x0Fu, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0x11u, 0x1Du, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0xD1u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x12u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI9 Address: CYDEV_UDB_DSI9_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI9_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0x11u, 0x1Fu, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI10 Address: CYDEV_UDB_DSI10_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI10_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x11u, 0x11u, 0x1Fu, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		/* UDB_DSI11 Address: CYDEV_UDB_DSI11_BASE Size (bytes): 124 */
		static const uint8 CYCODE BS_UDB_DSI11_VAL[] = {
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x11u, 0x08u, 0x1Fu, 0x02u, 
			0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x1Fu, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 
			0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x00u, 0x0Fu, 0x00u, 0x00u, 0x0Fu, 0x00u, 0x00u, 0x00u, 0x00u, 
			0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0xFFu, 0x1Du, 0x11u, 0x1Fu, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0xD1u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 
			0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u, 0x11u};

		static const cfg_memcpy_t CYCODE cfg_memcpy_list [] = {
			/* dest, src, size */
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR0_ROUTE_BASE), BS_UDB_UDBPAIR0_ROUTE_VAL, 144u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR1_ROUTE_BASE), BS_UDB_UDBPAIR1_ROUTE_VAL, 144u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR2_ROUTE_BASE), BS_UDB_UDBPAIR2_ROUTE_VAL, 144u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR3_ROUTE_BASE), BS_UDB_UDBPAIR3_ROUTE_VAL, 144u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR4_ROUTE_BASE), BS_UDB_UDBPAIR4_ROUTE_VAL, 144u},
			{(void CYFAR *)(CYDEV_UDB_UDBPAIR5_ROUTE_BASE), BS_UDB_UDBPAIR5_ROUTE_VAL, 144u},
			{(void CYFAR *)(CYDEV_UDB_DSI0_BASE), BS_UDB_DSI0_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI1_BASE), BS_UDB_DSI1_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI2_BASE), BS_UDB_DSI2_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI3_BASE), BS_UDB_DSI3_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI4_BASE), BS_UDB_DSI4_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI5_BASE), BS_UDB_DSI5_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI6_BASE), BS_UDB_DSI6_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI7_BASE), BS_UDB_DSI7_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI8_BASE), BS_UDB_DSI8_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI9_BASE), BS_UDB_DSI9_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI10_BASE), BS_UDB_DSI10_VAL, 124u},
			{(void CYFAR *)(CYDEV_UDB_DSI11_BASE), BS_UDB_DSI11_VAL, 124u},
		};

		size_t i;

		/* Power on the UDB array */
		CY_SET_REG32(0x402101F0u, 0x05FA0003u);

		/* Zero out critical memory blocks before beginning configuration */
		for (i = 0u; i < (sizeof(cfg_memset_list)/sizeof(cfg_memset_list[0])); i++)
		{
			const cfg_memset_t *ms = &cfg_memset_list[i];
			CYMEMZERO(ms->address, ms->size);
		}

		/* Copy device configuration data into registers */
		for (i = 0u; i < (sizeof(cfg_memcpy_list)/sizeof(cfg_memcpy_list[0])); i++)
		{
			const cfg_memcpy_t *mc = &cfg_memcpy_list[i];
			CYCONFIGCPYCODE(mc->dest, mc->src, mc->size);
		}

		cfg_write_bytes32(cy_cfg_addr_table, cy_cfg_data_table);

		/* UDB_INT_CFG Starting address: CYDEV_UDB_UDBIF_INT_CLK_CTL */
		CY_SET_REG32((void *)(CYREG_UDB_UDBIF_INT_CLK_CTL), 0x00000001u);
		CY_SET_REG32((void *)(CYREG_UDB_UDBIF_INT_CLK_CTL + 0x00000004u), 0x0000000Fu);

		/* TCPWM0_CNT0 Starting address: CYDEV_TCPWM0_CNT0_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT0_TR_CTRL0), 0x000D0D10u);

		/* TCPWM0_CNT1 Starting address: CYDEV_TCPWM0_CNT1_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT1_TR_CTRL0), 0x00030310u);

		/* TCPWM0_CNT2 Starting address: CYDEV_TCPWM0_CNT2_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT2_TR_CTRL0), 0x0000001Au);

		/* TCPWM0_CNT3 Starting address: CYDEV_TCPWM0_CNT3_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT3_TR_CTRL0), 0x000E0E10u);

		/* TCPWM0_CNT4 Starting address: CYDEV_TCPWM0_CNT4_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT4_TR_CTRL0), 0x0000001Bu);

		/* TCPWM0_CNT5 Starting address: CYDEV_TCPWM0_CNT5_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT5_TR_CTRL0), 0x000F0F10u);

		/* TCPWM0_CNT6 Starting address: CYDEV_TCPWM0_CNT6_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT6_TR_CTRL0), 0x00000015u);

		/* TCPWM0_CNT7 Starting address: CYDEV_TCPWM0_CNT7_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM0_CNT7_TR_CTRL0), 0x0000001Cu);

		/* TCPWM1_CNT4 Starting address: CYDEV_TCPWM1_CNT4_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM1_CNT4_TR_CTRL0), 0x000C0C10u);

		/* TCPWM1_CNT5 Starting address: CYDEV_TCPWM1_CNT5_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM1_CNT5_TR_CTRL0), 0x000E0E10u);

		/* TCPWM1_CNT6 Starting address: CYDEV_TCPWM1_CNT6_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM1_CNT6_TR_CTRL0), 0x00030310u);

		/* TCPWM1_CNT7 Starting address: CYDEV_TCPWM1_CNT7_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM1_CNT7_TR_CTRL0), 0x000F0F10u);

		/* TCPWM1_CNT8 Starting address: CYDEV_TCPWM1_CNT8_TR_CTRL0 */
		CY_SET_REG32((void *)(CYREG_TCPWM1_CNT8_TR_CTRL0), 0x000D0D10u);

		/* Enable UDB array and digital routing */
		CY_SET_REG32((void *)0x40347900u, CY_GET_REG32((void *)0x40347900u) | 0x106u);
	}

	/* Port0 configuration */
	{
	    const cy_stc_gpio_prt_config_t port0_cfg =
	    {
	        .out        = 0x0000003Fu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00600000u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x06070607u,
	        .sel1Active = 0x00000307u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT0, &port0_cfg);
	}

	/* Port1 configuration */
	{
	    const cy_stc_gpio_prt_config_t port1_cfg =
	    {
	        .out        = 0x0000003Fu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00666666u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x03030303u,
	        .sel1Active = 0x00000303u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT1, &port1_cfg);
	}

	/* Port5 configuration */
	{
	    const cy_stc_gpio_prt_config_t port5_cfg =
	    {
	        .out        = 0x000000FFu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x06666666u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x03030303u,
	        .sel1Active = 0x04030303u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT5, &port5_cfg);
	}

	/* Port6 configuration */
	{
	    const cy_stc_gpio_prt_config_t port6_cfg =
	    {
	        .out        = 0x0000003Fu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0xBA666666u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x03030303u,
	        .sel1Active = 0x1D1D0303u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT6, &port6_cfg);
	}

	/* Port7 configuration */
	{
	    const cy_stc_gpio_prt_config_t port7_cfg =
	    {
	        .out        = 0x000000FFu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00060666u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x06030303u,
	        .sel1Active = 0x05060603u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT7, &port7_cfg);
	}

	/* Port8 configuration */
	{
	    const cy_stc_gpio_prt_config_t port8_cfg =
	    {
	        .out        = 0x000000B0u,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00000000u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x00000000u,
	        .sel1Active = 0x07000707u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT8, &port8_cfg);
	}

	/* Port9 configuration */
	{
	    const cy_stc_gpio_prt_config_t port9_cfg =
	    {
	        .out        = 0x000000CAu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00000000u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x00000000u,
	        .sel1Active = 0x00000000u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT9, &port9_cfg);
	}

	/* Port10 configuration */
	{
	    const cy_stc_gpio_prt_config_t port10_cfg =
	    {
	        .out        = 0x000000FFu,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00000000u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x00000000u,
	        .sel1Active = 0x00000000u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT10, &port10_cfg);
	}

	/* Port12 configuration */
	{
	    const cy_stc_gpio_prt_config_t port12_cfg =
	    {
	        .out        = 0x00000009u,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00000000u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x06000004u,
	        .sel1Active = 0x00000000u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT12, &port12_cfg);
	}

	/* Port13 configuration */
	{
	    const cy_stc_gpio_prt_config_t port13_cfg =
	    {
	        .out        = 0x00000010u,
	        .intrMask   = 0x00000000u,
	        .intrCfg    = 0x00000000u,
	        .cfg        = 0x00000000u,
	        .cfgIn      = 0x00000000u,
	        .cfgOut     = 0x00000000u,
	        .cfgSIO     = 0x00000000u,
	        .sel0Active = 0x00000000u,
	        .sel1Active = 0x00000005u,
	    };
	    (void)Cy_GPIO_Port_Init(GPIO_PRT13, &port13_cfg);
	}


	/* Perform basic analog initialization to defaults */
	AnalogSetDefault();

}
